# Mappedin Viewer

A lightweight indoor map application with first class support for maps made in [Mappedin](https://app.mappedin.com/editor).

## Getting Started

### HTML

Add a `<div>` element to your website with the id `#viewer-app-root`. The map will be rendered into this element.

```html
<body>
	<div id="viewer-app-root"></div>
</body>
```

Then, add the following snippet somewhere in your website.

```html
<script type="module">
	import start from 'https://cdn.jsdelivr.net/npm/@mappedin/viewer@latest/dist/index.js';
	start();
</script>
```

### Package Manager

Install the package with the package manager of your choice.

```sh
# npm
npm install @mappedin/viewer

# yarn
yarn add @mappedin/viewer

#pnpm
pnpm i @mappedin/viewer
```

#### Pointing at a public Mappedin map

Import and run the default `start` method. The ID of the map will be parsed from the URL.

```ts
import start from '@mappedin/viewer';

start({
	root: document.getElementById('my-element')!,
});
```

#### Pointing at local MVF

Import and run the `startWithLocalData` method.

```ts
import { startWithLocalData } from '@mappedin/viewer';

startWithLocalData({
	data: myParsedMVF,
});
```
