type TAsyncImageProps = {
    src?: string | string[];
    alt?: string;
    style?: React.CSSProperties;
    role?: string;
    onLoad?: () => void;
    onError?: () => void;
    /**
     * What color to use for the background behind the image. This is only relevant if the image
     * has transparency or if the image is given padding.
     *
     * - `top-left`: The color of the top left pixel of the image.
     * - `average`: The approx. average color of all pixels in the image.
     * - `contrast`: Either a white or dark background that maximizes contrast with the image.
     * - `auto`: `contrast` if the top left pixel is transparent, otherwise `top-left`.
     */
    imageBackgroundStyle?: 'auto' | 'top-left' | 'average' | 'contrast';
    debug?: boolean;
};
declare const AsyncImage: React.FC<TAsyncImageProps>;
export default AsyncImage;
