import { TTheme } from 'lib/types/theme';
import { TFocusOutlineOptions, Untrasient } from '../common/utils';
export declare const clickableStyle: readonly [import("styled-components").RuleSet<object>, import("styled-components").RuleSet<object>];
export type TOnClickOrPressPayload = {
    type: 'click';
    event: React.MouseEvent<HTMLDivElement>;
} | {
    type: 'keydown';
    event: React.KeyboardEvent<HTMLDivElement>;
};
type TButtonProps = {
    /**
     * @deprecated Use `onClickOrPress` instead.
     */
    onClick?: (e: React.MouseEvent<HTMLDivElement>) => void;
    /**
     * A callback that is invoked when the button is clicked or when the user presses
     * the Enter or Space key.
     */
    onClickOrPress?: (payload: TOnClickOrPressPayload) => void;
    theme?: TTheme;
    disabled?: boolean;
    /**
     * If true, the button will be styled as if it is :focus-visible, even when it is not.
     */
    pseudoFocus?: boolean;
    /**
     * What hover and active styling set to use.
     */
    clickableStyling?: keyof typeof clickableStyle;
} & Untrasient<TFocusOutlineOptions>;
/**
 * Webkit has a bug where the relatedTarget of a focus event is null for buttons. In
 * order to ensure that we can use relatedTarget reliably, we will use a div with a
 * tabIndex and role="button" instead of a button element.
 */
declare const Button: import("styled-components").IStyledComponent<"web", import("styled-components/dist/types").Substitute<import("styled-components/dist/types").Substitute<import("styled-components/dist/types").Substitute<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, Omit<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "ref"> & {
    ref?: ((instance: HTMLDivElement | null) => void | import("react").DO_NOT_USE_OR_YOU_WILL_BE_FIRED_CALLBACK_REF_RETURN_VALUES[keyof import("react").DO_NOT_USE_OR_YOU_WILL_BE_FIRED_CALLBACK_REF_RETURN_VALUES]) | import("react").RefObject<HTMLDivElement> | null | undefined;
}>, TButtonProps>, TButtonProps>>;
export default Button;
