type TCollapsibleProps = {
    /**
     * Whether the content should be collapsible. If false, the full content will always be shown.
     */
    enabled?: boolean;
    /**
     * The height of the collapsed content.
     */
    collapsedHeight?: number;
    /**
     * The maximum height of the content when expanded. If the content is shorter than this, it will only
     * expand as much as needed. If the content is taller, it will scroll. If undefined, the content will
     * expand to its natural height.
     */
    maxHeight?: number | string;
    /**
     * The content to render. If a function is provided, it will be called with the collapsed state.
     */
    children: React.ReactNode | ((props: {
        collapsed: boolean;
    }) => React.ReactNode);
    style?: React.CSSProperties;
};
declare const Collapsible: React.FC<TCollapsibleProps>;
export default Collapsible;
