import { TTheme } from '../../lib/types/theme';
import { ComponentProps, PropsWithChildren } from 'react';
type TFontProps = {
    theme?: TTheme;
    strokeWidth?: number;
    strokeColor?: string;
    wrap?: boolean;
    allowSelect?: boolean;
    link?: boolean;
};
export declare const fontStyle: import("styled-components").RuleSet<TFontProps>;
export declare const Text: import("styled-components").IStyledComponent<"web", import("styled-components/dist/types").Substitute<import("styled-components/dist/types").Substitute<import("styled-components/dist/types").Substitute<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLParagraphElement>, HTMLParagraphElement>, Omit<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLParagraphElement>, HTMLParagraphElement>, "ref"> & {
    ref?: ((instance: HTMLParagraphElement | null) => void | import("react").DO_NOT_USE_OR_YOU_WILL_BE_FIRED_CALLBACK_REF_RETURN_VALUES[keyof import("react").DO_NOT_USE_OR_YOU_WILL_BE_FIRED_CALLBACK_REF_RETURN_VALUES]) | import("react").RefObject<HTMLParagraphElement> | null | undefined;
}>, TFontProps>, TFontProps>>;
/**
 * Style a substring within a string a different color.
 */
export declare const PartialHighlight: React.FC<TFontProps & {
    substr?: string | string[];
    str: string;
    style?: React.CSSProperties;
}>;
type TDynamicallySizedTextProps = {
    textProps?: Omit<ComponentProps<typeof Text>, 'children'>;
    width: number | string;
    maxFontSize?: number;
    minFontSize?: number;
    debug?: boolean;
};
/**
 * Dynamically size text to fit within a container.
 */
export declare const DynamicallySizedText: React.FC<PropsWithChildren<TDynamicallySizedTextProps>>;
export {};
