import { ComponentProps, PropsWithChildren } from 'react';
import ContextMenuItem from './context-menu-item';
type TMenuItem = ComponentProps<typeof ContextMenuItem>;
type TMenuItemFn = (position: {
    x: number;
    y: number;
}) => TMenuItem;
export type TContextMenuItemEntry = TMenuItem | TMenuItemFn;
type TContextMenuContainerProps = {
    items: TContextMenuItemEntry[];
    disabled?: boolean;
};
declare const ContextMenuContainer: React.FC<PropsWithChildren<TContextMenuContainerProps>>;
export default ContextMenuContainer;
