import { FocusEvent } from 'react';
export type TPrimaryDirection = 'top' | 'bottom' | 'left' | 'right';
export type TDirection = 'top' | 'bottom' | 'left' | 'right' | 'top-left' | 'top-right' | 'bottom-left' | 'bottom-right' | 'left-top' | 'left-bottom' | 'right-top' | 'right-bottom';
export type THoverAnimation = 'expand' | 'fade' | 'fade-expand' | 'none';
export declare const ARROW_SIZE: 6;
export declare const getPrimaryDirection: (direction: TDirection) => TPrimaryDirection;
export declare const getMaxDimension: (visible: boolean, animation: THoverAnimation, value?: number) => any;
export declare const useElementDimensions: () => {
    onRef: (ref: unknown) => void;
    height: number;
    width: number;
};
/**
 * Hook for controlling hover visibility outside the component
 */
export declare const useHoverExternal: () => {
    visible: boolean;
    onTriggerClick: () => void;
    onContainerBlur: (event: FocusEvent<HTMLDivElement>) => void;
};
