import { VariableSizeList as List } from 'react-window';
/**
 * Types
 */
export type TLevelSelectorLevel = {
    id: string;
    name: string;
};
/**
 * Constants
 */
export declare const LEVEL_SELECTOR_ID = "level-selector";
export declare const LEVEL_SELECTOR_ITEM_HEIGHT_PX = 36;
export declare const LEVEL_SELECTOR_COLLAPSED_HEIGHT_DESKTOP_PX = 43;
export declare const LEVEL_SELECTOR_COLLAPSED_HEIGHT_MOBILE_PX = 40;
export declare const EXPANDED_LEVEL_WIDTH_DESKTOP_PX = 172;
export declare const EXPANDED_BUILDING_WIDTH_DESKTOP_PX = 224;
export declare const MAX_LEVEL_SELECTOR_ITEMS_DESKTOP = 9.5;
/**
 * Hooks
 */
/**
 * Lookup the selected level and its index by ID
 */
export declare const useSelectedLevel: (levels: TLevelSelectorLevel[], selectedId: string) => readonly [TLevelSelectorLevel | undefined, number];
/**
 * A bunch of logic to calculate the width of the list
 */
export declare const useListWidth: (widths: {
    selectedItemDesktop: number;
    expandedDesktop: number;
    mobile: number | string;
}, state: {
    isMobile: boolean;
    expanded: boolean;
}) => string | number;
/**
 * Managing the scrolling and resetting of the list
 */
export declare const useLevelList: ({ listRef, selectedIndex, expanded, }: {
    listRef: React.RefObject<List | null>;
    selectedIndex: number;
    expanded: boolean;
}) => {
    animationHandlers: {
        onEntered: () => void;
        onExited: () => void;
    };
    isAnimating: boolean;
};
