type TLinkItemWithURLProps = {
    url: string;
    name?: string;
};
type TLinkItemWithPhoneNumberProps = {
    phoneNumber: string;
};
type TLinkItemProps = (TLinkItemWithURLProps | TLinkItemWithPhoneNumberProps) & {
    /**
     * Optionally override the icon. Defaults to `link-2-16x16`.
     */
    icon?: string;
    /**
     * Callback function that is called when the link is clicked. The component should already handle
     * opening the link. This can be used for side effects like analytics.
     */
    onClick?: () => void;
};
declare const LinkItem: React.FC<TLinkItemProps>;
export default LinkItem;
