import { ComponentProps } from 'react';
import { TSearchResult, TCategory } from '../../lib/types/search';
import { TOnClickOrPressPayload } from '../button';
import SearchBar from '../search-bar';
import Directions from '../directions';
type TOnResultSelected = (ids: string[], context: 'category' | 'search-result') => void;
type TSearchUIProps = {
    query?: string;
    onQueryChange?: (query: string) => void;
    searchResults: TSearchResult[];
    resultsLoading: boolean;
    onResultSelected?: TOnResultSelected;
    onSearchBarFocus?: ComponentProps<typeof SearchBar>['onFocus'];
    onSearchBarBlur?: ComponentProps<typeof SearchBar>['onBlur'];
};
type TDirectionsUIProps = Partial<Pick<ComponentProps<typeof Directions>, 'departureMode' | 'departureModes' | 'onDepartureModeChange' | 'departureQuery' | 'departureSearchResults' | 'onDepartureQueryChange' | 'onDepartureResultSelected' | 'onDepartureModeResetClick'>> & {
    onSwapDirectionsClick?: () => void;
    directionsWarningTranslationKey?: string;
};
type TCategoryUIProps = {
    categories: TCategory[];
    activeCategoryId?: string;
    onCategorySelected?: (id: string) => void;
    onResultSelected?: TOnResultSelected;
    onBackClick?: () => void;
};
type TSelectedPlaceUIProps = {
    directionsButtonVisible?: boolean;
    directionsButtonDisabled?: boolean;
    onDirectionsButtonClick?: (e: TOnClickOrPressPayload) => void;
};
export type TMainUIProps = TDirectionsUIProps & TSearchUIProps & TCategoryUIProps & TSelectedPlaceUIProps & {
    onBlur?: () => void;
    isMakerPreview?: boolean;
    maxHeight?: number;
    directionsVisible?: boolean;
};
export declare const MAIN_UI_DEFAULT_WIDTH_DESKTOP = 320;
export {};
