import { ComponentProps, CSSProperties } from 'react';
import Button from '../button';
import Input from '../input';
export declare const SEARCH_BAR_HEIGHT = 43;
export declare const SEARCH_BUTTON_WIDTH_MOBILE = 32;
type TSearchBarProps = {
    id?: string;
    placeholder: string;
    value: string;
    onValueChange: (value: string) => void;
    onFocus?: () => void;
    onBlur?: () => void;
    clearButtonVisible?: boolean;
    onClearButtonClick?: () => void;
    searchButtonVisible?: boolean;
    width?: number | string;
    height?: number | string;
    inputStyle?: ComponentProps<typeof Input>['style'];
    searchButtonStyle?: ComponentProps<typeof Button>['style'];
    style?: CSSProperties;
    searchButtonIconColor?: string;
    searchResultsVisible?: boolean;
    tabIndex?: number;
    groupLabel?: string;
    numResults?: number;
};
declare const SearchBar: import("react").ForwardRefExoticComponent<TSearchBarProps & import("react").RefAttributes<HTMLInputElement>>;
export default SearchBar;
