type TTimeoutModalProps = {
    /**
     * The number of seconds to wait before showing the modal
     */
    timeout?: number;
    /**
     * The number of seconds to show the modal before a timeout occurs
     */
    gracePeriod?: number;
    /**
     * Whether the modal should be shown. For example, it should never show on the START state.
     */
    enabled?: boolean;
    /**
     * Callback function to be called when the timeout is reached
     */
    onTimeout?: () => void;
};
declare const TimeoutModal: React.FC<TTimeoutModalProps>;
export default TimeoutModal;
