import { PubSub } from '../../lib/pub-sub';
export type TBaseToast = {
    id: string;
    icon?: string | React.ReactElement;
    timeout?: number;
    onClose?: () => void;
};
export type TCustomToastFn = (toast: TBaseToast) => React.ReactNode;
export type TToast = TBaseToast & {
    content: string | TCustomToastFn;
};
export declare enum E_TOAST_EVENT {
    SHOW = "SHOW",
    HIDE = "HIDE"
}
type TToastEventPayload = {
    [E_TOAST_EVENT.SHOW]: TToast;
    [E_TOAST_EVENT.HIDE]: string;
};
/**
 * A singleton event bus for toast events.
 */
export declare class ToastPubSubSingleton {
    private static instance;
    static getInstance(): PubSub<E_TOAST_EVENT, TToastEventPayload>;
    static reset(): void;
}
export {};
