export type THighResCanvasOptions = {
    enabled?: boolean;
};
export type TCanvasFrameCallback = (context: CanvasRenderingContext2D, canvas: HTMLCanvasElement, cursorPosition: {
    x: number;
    y: number;
}) => void;
declare class HighResCanvas {
    private container;
    private containerRect;
    private canvas;
    private context;
    private resizeObserver;
    private hasMouseMoved;
    private cursorPosition;
    private enabled;
    private frameCallback;
    constructor(container: HTMLElement, frameCallback?: TCanvasFrameCallback, options?: THighResCanvasOptions);
    private handleResize;
    /**
     * Update the canvas resolution to account for high DPR devices. DPR lower than 1 should work
     * fine, but higher DPR's could cause blurriness without scaling.
     */
    private updateCanvasResolution;
    /**
     * Scale the canvas whenever the container is resized.
     */
    private makeCanvasResponsive;
    private handleMouseMove;
    private clearCanvas;
    /**
     * If enabled, draw a frame then request another frame draw.
     */
    private startDrawing;
    enable: () => void;
    disable: () => void;
    destroy(): void;
}
export default HighResCanvas;
