import { FocusEvent } from 'react';
type TUseDeepFocusProps = {
    onBlur?: () => void;
    debug?: boolean;
};
/**
 * Control when the focus is deep (i.e. when the focus is on the container or any of its children).
 */
declare const useDeepFocus: ({ onBlur, debug }?: TUseDeepFocusProps) => {
    isFocused: boolean;
    onContainerBlur: (event?: FocusEvent) => void;
    onContainerFocus: () => void;
};
export default useDeepFocus;
