/**
 * Indicates when an element is focused. Execute callbacks when focus changes with relation
 * to the element.
 */
declare const useFocus: <T extends HTMLElement>(ref: React.RefObject<T>, options?: Partial<{
    within: boolean;
    onFocus?: () => void;
    onKeyboardFocus?: () => void;
    onBlur?: () => void;
    debug?: boolean;
}>) => {
    isFocused: boolean;
};
export default useFocus;
