import { VariableSizeList } from 'react-window';
type TUseMaxHeightListProps<T> = {
    maxSize: number;
    itemSize: number | ((index: number) => number);
    items: T[];
    ref?: React.RefObject<VariableSizeList>;
};
/**
 * Returns some props that can be used with a react-window list to have the list grow naturally
 * until a max size is reached. Optionally, a VariableSizeList ref can be provided to reset the
 * list cache when the items change.
 */
declare const useMaxSizeList: <T>({ maxSize, itemSize, items, ref }: TUseMaxHeightListProps<T>) => {
    size: number;
    totalSize: number;
    itemSize: number[];
};
export default useMaxSizeList;
