type TUseSizeOptions = {
    dependencies?: any[];
};
/**
 * Read the size of a statically sized element. Optionally specify an array of dependencies
 * to re-read the size when they change.
 *
 * To respond to continous size changes without a well defined set of dependencies, use
 * {@link useResponsiveSize} instead.
 */
declare const useSize: ({ dependencies }?: TUseSizeOptions) => {
    elementRef: (ref: unknown) => void;
    width: number;
    height: number;
};
export default useSize;
