export declare class PubSub<EventNames extends string, EventPayloads extends {
    [event in EventNames]: unknown;
}> {
    private subscribers;
    publish<E extends EventNames>(eventName: E, data: EventPayloads[E]): boolean;
    on<E extends EventNames>(eventName: E, fn: (payload: EventPayloads[E]) => void): () => void;
    off<E extends EventNames>(eventName: E, fn: (payload: EventPayloads[E]) => void): void;
    destroy(): void;
}
