import { ParsedMVF } from '@mappedin/mvf';
import { MapData } from './mappedin-js';
import { THydrateDataOptions } from './hydrate-data';
import FeatureFlagStore from '../../stores/feature-flag-store';
export type TLoadDataOptions = Partial<{
    onMVFParsed: (mvf: ParsedMVF) => void;
    featureFlagStore: FeatureFlagStore;
}> & THydrateDataOptions;
/**
 * Load a public MVF while bypassing the need for API keys.
 */
export declare const loadData: (mapId: string, url?: string, options?: TLoadDataOptions) => Promise<MapData>;
/**
 * Load an MVF while fetching a token from a custom auth endpoint. Used to load private data that is
 * secured behind a VPN.
 */
export declare const loadDataWithCustomAuth: (mapId: string, authUrl: string, authDataUrl?: string, options?: TLoadDataOptions) => Promise<MapData>;
