import { Space, MapObject, PointOfInterest, Connection, Annotation, Coordinate, Door, CameraTransform as _CameraTransform, TEventPayload as _TEventPayload, TEvents, Area, LocationProfile } from './mappedin-js';
export declare const PLACE_TYPES: (typeof Space | typeof PointOfInterest | typeof Connection | typeof MapObject | typeof Door | typeof Coordinate | typeof Annotation | typeof Area | typeof LocationProfile)[];
export declare const PLACE_TYPE_STRINGS: ("location-profile" | "space" | "point-of-interest" | "connection" | "object" | "door" | "coordinate" | "annotation" | "area")[];
export type PlaceTypeString = (typeof PLACE_TYPE_STRINGS)[number];
export type PlaceType = (typeof PLACE_TYPES)[number];
export type Place = InstanceType<PlaceType>;
export declare const GEOMETRY_TYPES: (typeof Space | typeof MapObject)[];
export declare const GEOMETRY_TYPE_STRINGS: ("space" | "object")[];
export type GeometryType = (typeof GEOMETRY_TYPES)[number];
export type Geometry = InstanceType<GeometryType>;
export type CameraTransform = Omit<_CameraTransform, '#private'>;
export type TEventPayload<E extends keyof TEvents> = E extends 'camera-change' ? CameraTransform : _TEventPayload<E>;
