import { TTheme, TThemeOverride } from '../types/theme';
import defaultTheme from './variants/default';
/**
 * Get a preset theme variant with a specified index. If the variant does not exist, the default
 * theme will be returned.
 */
export declare const getThemeVariant: (index: number) => TTheme;
/**
 * Utility to clean theme cache, mostly used for testing.
 */
export declare const cleanup: () => void;
/**
 * Get the app theme with some options to specify overrides. Only call this when the {@link UIStore}
 * is not available. Otherwise, read {@link UIStore.theme} to stay reactive.
 */
export declare const getTheme: (options?: Partial<{
    themeOverride: TThemeOverride;
}>) => TTheme;
export { defaultTheme };
export * from './embedded';
export * from './variants';
