export type TField = 'name' | 'description' | 'link' | 'category';
export type TMatch = {
    term: string;
    field: TField;
    context: string;
    indices: number[];
};
export type TSearchResult = {
    id: string;
    label: string;
    placeIds: string[];
    matches: TMatch[];
    category?: string;
    floorId?: string;
};
export type TCategory = {
    id: string;
    name: string;
    icon?: string;
    parent?: string;
    results: {
        label: string;
        ids: string[];
    }[];
};
