export type DeepPartial<T> = T extends object ? {
    [P in keyof T]?: DeepPartial<T[P]>;
} : T;
export type KeysOf<T, U> = Exclude<{
    [K in keyof T]: Required<T>[K] extends U ? K : never;
}[keyof T], undefined>;
export type Promisify<T> = T extends (...args: infer Args) => infer ReturnType ? ReturnType extends Promise<unknown> ? (...args: Args) => ReturnType : (...args: Args) => Promise<ReturnType> : never;
