type Indices<L extends number, T extends Array<number> = []> = T['length'] extends L ? T[number] : Indices<L, [T['length'], ...T]>;
type ArrayWithLength<L extends number, T> = Pick<Required<Array<T>>, Indices<L>> & [];
type ArrayWithAtLeastLength<L extends number, T> = Pick<Required<Array<T>>, Indices<L>> & T[];
/**
 * Utility function to typecheck if an array has a single item in it.
 */
export declare const isLengthOne: <T>(arr: T[]) => arr is [T];
/**
 * Utility function to typecheck if an array has a specific length.
 */
export declare const isLength: <L extends number, T>(arr: T[], length: L) => arr is ArrayWithLength<L, T>;
/**
 * Utility function to typecheck if an array has a specific length or more.
 */
export declare const isAtLeastLength: <L extends number, T>(arr: T[], length: L) => arr is ArrayWithAtLeastLength<L, T>;
/**
 * Small utility to avoid needing to write `arr.filter((item) => !exclude.includes(item))` everywhere.
 */
export declare const exclude: <T>(arr: T[], exclude: T[]) => T[];
export {};
