export declare const isHex: (hex: string) => boolean;
export declare const hexToRGB: (hex: string) => [number, number, number];
export declare const hexToRGBA: (hex: string) => [number, number, number, number];
export declare const RGBToHex: (color: [number, number, number]) => string;
export declare const mixColors: (color1: string, color2: string, ratio: number) => string;
export declare const opacityToHex: (opacity: number) => string;
/**
 * Evaluates whether a hex string is dark or light.
 */
export declare const isDark: (color: string) => boolean;
/**
 * Compute the opacity of disabled text depending on the color of the
 * button it is on.
 */
export declare const getDisabledTextOpacity: (backgroundColor: string) => 0.4 | 0.7;
/**
 * Compute the color of a disabled button based on the color of the
 * button when not disabled and the color of the background the button
 * is compared to.
 *
 * Note: We don't use an opacity for disabled buttons because we want
 * a color code to pass to {@link getDisabledTextOpacity} to compute
 * the button text.
 */
export declare const getDisabledButtonColor: (buttonColor: string, backgroundColor: string) => string;
/**
 * Returns true if
 */
export declare const hasTransparency: (color: string) => "#FFFFFF" | "#000000";
