import { Coordinate, Floor, Place, PlaceType } from '../sdk';
/**
 * Returns a string representation of a latitude and longitude pair.
 */
export declare const serializeLatLon: (lat: number, lon: number, floor?: string) => string;
/**
 * Returns a hash of a {@link Coordinate}.
 */
export declare const hashCoordinate: (coordinate: Coordinate, options?: {
    length: number;
}) => string;
/**
 * Get a {@link Coordinate} from a {@link Place}. Returns a single coordinate for a {@link Connection}.
 */
export declare const getCoordinate: (place: Place, currentFloor?: Floor) => Coordinate;
/**
 * Get an array of {@link Coordinate}s from a {@link Place}. Returns all coordinates for a {@link Connection}.
 */
export declare const getCoordinates: (place: Place, options?: Partial<{
    /**
     * If the provided place is a {@link LocationProfile}, exclude any of its places of these types when
     * getting coordinates. This is useful, for example, when excluding redundant markers from being placed
     * on a location's annotations or areas.
     */
    excludeFromLocations: PlaceType[];
}>) => Coordinate[];
/**
 * Approximate the distance between two {@link Coordinate} instances in meters.
 */
export declare const distanceBetween: (a: Coordinate, b: Coordinate) => number;
