/**
 * Add metadata tags to the document head.
 */
export declare const updateMetaTags: () => void;
/**
 * Get the root element in which to mount the app with a fallback to #viewer-app-root.
 */
export declare const getRootElementWithFallback: (element: HTMLElement | null | undefined) => HTMLElement;
/**
 * Make a react component identifiable by a given id. Should be used with {@link isIdentifiableAs}.
 */
export declare const makeIdentifiable: <T = import("react").FC<{}>>(component: T, id: string) => T;
/**
 * Check if a react element is identifiable by a given id. Should be used with {@link makeIdentifiable}.
 */
export declare const isIdentifiableAs: (node: React.ReactElement, id: string) => boolean;
/**
 * Render a react node to a string. This is preferable to using `react-dom/server`.
 * See https://18.react.dev/reference/react-dom/server/renderToString#removing-rendertostring-from-the-client-code
 */
export declare const renderToString: (icon: React.ReactNode) => string;
/**
 * Sanitize an SVG string to be rendered by `dangerouslySetInnerHTML`.
 */
export declare const sanitizeSVGString: (svg: string) => string;
/**
 * Given an SVG string, sanitize it to be rendered by `dangerouslySetInnerHTML`.
 */
export declare const styleSVGString: (svg: string, color: string) => string | undefined;
