import { Place } from '../sdk';
type TIconSymbol = {
    id: string;
    src: string;
};
export declare const SelfServeIcons: {
    readonly Annotation: Record<string, TIconSymbol>;
};
/**
 * Load a base64 encoded SVG icon from `@mappedin/self-serve-icons`.
 */
export declare const loadSelfServeIcon: (type: keyof typeof SelfServeIcons, id: string) => string | undefined;
/**
 * Get an icon from the `ICONS` object as an HTML string.
 */
export declare const getLocalIconAsString: (icon: string, color?: string) => string;
export declare const getCdnIconAsString: (icon: string, color?: string) => Promise<string | undefined>;
export declare const attemptIconNameForConnection: (type: string) => string | undefined;
export declare const attemptIconImageForPlace: (place: Place) => string | undefined;
/**
 * Try to return an icon string for a place with the following priority:
 *
 * 1. Icon URL from the first category of a location profile
 * 2. Same as above, but for the first location profile on a place with location profiles
 * 2. Washroom and Parking icons based on name
 * 3. Connection icons based on type
 * 4. POI or Door icon based on type
 */
export declare const attemptIconStringForPlace: (place: Place) => string | undefined;
export {};
