import { Details, Feature, Geometry, Point, SpaceProperties } from '@mappedin/mvf';
/**
 * Type guard to check if a feature is a point geometry.
 */
export declare const isPointGeometry: <Properties extends object>(feature: Feature<Geometry, Properties>) => feature is Feature<Point, Properties>;
/**
 * Type guard to check if a feature is a point space representing a connection.
 */
export declare const isConnectionSpace: (feature: Feature<Geometry, object>) => feature is Feature<Point, SpaceProperties>;
/**
 * Type guard to check if a feature has {@link Details} in its properties.
 */
export declare const isDetailedFeature: (feature: Feature<Geometry, unknown>) => feature is Feature<Geometry, {
    details: Details;
}>;
