import { TStartViewerOptions, TStartViewerWithLocalDataOptions } from '../types/options';
/**
 * Throws if the options are not valid. Logs warnings if the options are valid but used in a non-optimal way.
 */
export declare const assertOptions: (options: TStartViewerOptions | TStartViewerWithLocalDataOptions) => void;
/**
 * Returns true if the options are for starting the viewer with live data.
 */
export declare const isStartViewerOptions: (options: TStartViewerOptions | TStartViewerWithLocalDataOptions) => options is TStartViewerOptions;
/**
 * Returns true if the options are for starting the viewer with local data.
 */
export declare const isStartViewerWithLocalDataOptions: (options: TStartViewerOptions | TStartViewerWithLocalDataOptions) => options is TStartViewerWithLocalDataOptions;
