import { AnnotationCollection, AreaCollection, EntranceCollection, ObstructionCollection, ParsedMVF, SpaceCollection } from '@mappedin/mvf';
declare const createEmptyProcessedMVF: () => {
    spacesById: Record<string, SpaceCollection["features"][number]>;
    obstructionsById: Record<string, ObstructionCollection["features"][number]>;
    annotationsById: Record<string, AnnotationCollection["features"][number]>;
    entrancesById: Record<string, EntranceCollection["features"][number]>;
    floorIdByFeatureId: Record<string, string>;
    areasById: Record<string, AreaCollection["features"][number]>;
    /**
     * Special indexes for handling connections.
     */
    connectionSpaceIdsByLatLonFloor: Record<string, Set<string>>;
    connectionSpaceIdsByLatLon: Record<string, Set<string>>;
    connectionSpaceIdsByRelatedConnectionId: Record<string, Set<string>>;
};
type TProcessedMVF = ReturnType<typeof createEmptyProcessedMVF>;
export declare const processMVF: (mvf: ParsedMVF) => TProcessedMVF;
export {};
