/**
 * This file is for app specific URL parameters. For generic URL utilities,
 * go to link-utils.ts.
 */
export declare const EMBED_ROUTER_PARAM = "embedded";
export declare const YOU_ARE_HERE_ROUTER_PARAM = "you-are-here";
export declare const AUTH_URL_PARAM = "authUrl";
export declare const KIOSK_MODE_PARAM = "kiosk";
export declare const PITCH_PARAM = "pitch";
export declare const BEARING_PARAM = "bearing";
export declare const tryConvertToUrl: (source: string) => URL | null;
type FindVenueError = 'Invalid URL' | 'Missing Venue ID' | 'Invalid Venue ID';
export declare const parseVenueIdFromURL: (source?: Location | string) => {
    error?: undefined;
    venueId: string;
    configId: string;
    combinedId: string;
} | {
    error: FindVenueError;
    venueId?: undefined;
    configId?: undefined;
    combinedId?: undefined;
};
/**
 * Get whether the app is currently in embedded mode. Only use this if you don't have access to stores.
 * Use {@link RootStore.isAppEmbedded} whenever possible to react to changes.
 */
export declare const getIsAppEmbedded: () => boolean;
/**
 * Parse an authUrl location from the a URL. Defaults to the current window location.
 */
export declare const parseAuthUrlFromURL: (source?: Location | string) => string | null;
export {};
