import type RootStore from '../../root-store';
import type MapStore from '..';
import { Coordinate, Directions } from '../../../lib/sdk';
import { Floor } from '../../../lib/sdk';
declare class DirectionsController {
    private rootStore;
    private mapStore;
    private reactionDisposers;
    loading: boolean;
    directions: Directions | undefined;
    constructor({ rootStore, mapStore }: {
        rootStore: RootStore;
        mapStore: MapStore;
    });
    private updateDirections;
    private updateJourney;
    get floorsInDirections(): Floor[];
    get floorStacksInDirections(): {
        "__#24@#private": any;
        readonly __type: "floor-stack";
        readonly type: import("@mappedin/mvf").FloorStack["type"];
        readonly name: string;
        readonly shortName: string;
        readonly externalId: string;
        readonly floors: [Floor, ...Floor[]];
        readonly defaultFloor: Floor;
        readonly facade: {
            "__#25@#private": any;
            readonly __type: "facade";
            readonly floorStack: import("./floor-stack").default;
            readonly spaces: {
                "__#16@#private": any;
                readonly __type: "space";
                getMvfData(): import("@mappedin/mvf").Feature<import("@mappedin/mvf").Polygon | import("@mappedin/mvf").LineString | import("@mappedin/mvf").Point, import("@mappedin/mvf").SpaceProperties>;
                readonly type: import("@mappedin/mappedin-js/mappedin-js/src/map-data-objects/space").TSpaceType;
                readonly locations: {
                    "__#26@#private": any;
                    readonly __type: "enterprise-location";
                    description?: string | undefined;
                    name: string;
                    amenity?: string | undefined;
                    externalId: string;
                    extra?: Record<string, unknown> | undefined;
                    gallery?: {
                        caption?: string | null;
                        image: string;
                        embeddedUrl?: string | null;
                    }[] | undefined;
                    instances?: /*elided*/ any[] | undefined;
                    logo?: string | undefined;
                    operationHours?: import("@mappedin/mvf/dist/extensions/enterprise").OperationHours[] | undefined;
                    phone?: {
                        number: string;
                        extension?: string;
                    } | undefined;
                    picture?: string | undefined;
                    shortName?: string | undefined;
                    showFloatingLabelWhenImagePresent?: boolean | undefined;
                    showLogo?: boolean | undefined;
                    siblingGroups?: import("@mappedin/mvf/dist/extensions/enterprise").SiblingGroup[] | undefined;
                    social?: {
                        facebook?: string;
                        instagram?: string;
                        twitter?: string;
                        website?: string;
                    } | undefined;
                    sortOrder: number;
                    states?: import("@mappedin/mvf/dist/extensions/enterprise").LocationState[] | undefined;
                    tags?: string[] | undefined;
                    type: string;
                    readonly focusTarget: /*elided*/ any[];
                    readonly categories: {
                        "__#27@#private": any;
                        readonly __type: "enterprise-category";
                        name: string;
                        color?: string | undefined;
                        externalId: string;
                        extra?: Record<string, unknown> | undefined;
                        icon?: string | undefined;
                        iconFromDefaultList?: string | null | undefined;
                        sortOrder: number;
                        picture?: string | undefined;
                        readonly children: /*elided*/ any[];
                        readonly locations: /*elided*/ any[];
                        toJSON(): {
                            id: string;
                            name: string;
                        };
                        destroy(): void;
                        readonly id: string;
                    }[];
                    readonly coordinates: Coordinate[];
                    readonly nodes: {
                        "__#13@#private": any;
                        readonly __type: "node";
                        readonly locations: /*elided*/ any[];
                        readonly space: /*elided*/ any | undefined;
                        readonly floor: Floor;
                        readonly coordinate: Coordinate;
                        readonly externalId: string;
                        readonly neighbors: /*elided*/ any[];
                        readonly geoJSON: {
                            properties: null;
                            type: import("@mappedin/mvf").FeatureType;
                            geometry: import("@mappedin/mvf").Point;
                        };
                        readonly focusTarget: Coordinate;
                        readonly anchorTarget: Coordinate;
                        toJSON(): {
                            id: string;
                            floor: string;
                            coordinate: {
                                latitude: number;
                                longitude: number;
                                floor: string | undefined;
                                verticalOffset: number;
                            };
                            neighbors: string[];
                        };
                        destroy(): void;
                        readonly id: string;
                    }[];
                    readonly spaces: /*elided*/ any[];
                    toJSON(): {
                        id: string;
                        name: string;
                    };
                    destroy(): void;
                    readonly id: string;
                }[];
                readonly floor: Floor;
                readonly doors: {
                    "__#15@#private": any;
                    readonly __type: "door";
                    readonly floor: Floor;
                    readonly center: Coordinate;
                    readonly isExterior: boolean;
                    readonly geoJSON: {
                        properties: null;
                        type: import("@mappedin/mvf").FeatureType;
                        geometry: import("@mappedin/mvf").LineString;
                    };
                    readonly focusTarget: Coordinate;
                    readonly anchorTarget: Coordinate;
                    toJSON(): {
                        id: string;
                        name: string;
                        floor: string;
                        center: {
                            latitude: number;
                            longitude: number;
                            floor: string | undefined;
                            verticalOffset: number;
                        };
                    };
                    destroy(): void;
                    "__#57@#private": any;
                    readonly externalId: string;
                    readonly name: string;
                    readonly description: string;
                    readonly images: {
                        "__#23@#private": any;
                        readonly url: string | undefined;
                        readonly name: string | undefined;
                        readonly altText: string | undefined;
                        toJSON(): {
                            id: string;
                            url: string | undefined;
                            name: string | undefined;
                        };
                        destroy(): void;
                        readonly id: string;
                    }[];
                    readonly links: {
                        "__#22@#private": any;
                        readonly url: string;
                        readonly name: string | undefined;
                        toJSON(): {
                            id: string;
                            url: string;
                            name: string | undefined;
                        };
                        destroy(): void;
                        readonly id: string;
                    }[];
                    readonly locationProfiles: {
                        "__#29@#private": any;
                        readonly __type: "location-profile";
                        id: import("@mappedin/mvf").LocationId;
                        name: string;
                        externalId?: string;
                        description?: string;
                        logo?: string;
                        phone?: string;
                        social: import("@mappedin/mvf").LocationSocial[];
                        images: {
                            "__#23@#private": any;
                            readonly url: string | undefined;
                            readonly name: string | undefined;
                            readonly altText: string | undefined;
                            toJSON(): {
                                id: string;
                                url: string | undefined;
                                name: string | undefined;
                            };
                            destroy(): void;
                            readonly id: string;
                        }[];
                        links: {
                            "__#22@#private": any;
                            readonly url: string;
                            readonly name: string | undefined;
                            toJSON(): {
                                id: string;
                                url: string;
                                name: string | undefined;
                            };
                            destroy(): void;
                            readonly id: string;
                        }[];
                        website?: {
                            "__#22@#private": any;
                            readonly url: string;
                            readonly name: string | undefined;
                            toJSON(): {
                                id: string;
                                url: string;
                                name: string | undefined;
                            };
                            destroy(): void;
                            readonly id: string;
                        };
                        readonly spaces: /*elided*/ any[];
                        readonly points: {
                            "__#20@#private": any;
                            readonly __type: "point-of-interest";
                            readonly floor: Floor;
                            readonly coordinate: Coordinate;
                            readonly geoJSON: {
                                properties: null;
                                type: import("@mappedin/mvf").FeatureType;
                                geometry: import("@mappedin/mvf").Point;
                            };
                            readonly focusTarget: Coordinate;
                            readonly anchorTarget: Coordinate;
                            toJSON(): {
                                id: string;
                                name: string;
                                floor: string;
                                coordinate: {
                                    latitude: number;
                                    longitude: number;
                                    floor: string | undefined;
                                    verticalOffset: number;
                                };
                            };
                            destroy(): void;
                            "__#57@#private": any;
                            readonly externalId: string;
                            readonly name: string;
                            readonly description: string;
                            readonly images: {
                                "__#23@#private": any;
                                readonly url: string | undefined;
                                readonly name: string | undefined;
                                readonly altText: string | undefined;
                                toJSON(): {
                                    id: string;
                                    url: string | undefined;
                                    name: string | undefined;
                                };
                                destroy(): void;
                                readonly id: string;
                            }[];
                            readonly links: {
                                "__#22@#private": any;
                                readonly url: string;
                                readonly name: string | undefined;
                                toJSON(): {
                                    id: string;
                                    url: string;
                                    name: string | undefined;
                                };
                                destroy(): void;
                                readonly id: string;
                            }[];
                            readonly locationProfiles: /*elided*/ any[];
                            "__#58@#private": any;
                            readonly id: string;
                            readonly geoJSONBoundingBox: {};
                        }[];
                        readonly doors: /*elided*/ any[];
                        readonly connections: {
                            "__#18@#private": any;
                            readonly __type: "connection";
                            readonly accessible: boolean;
                            readonly type: string;
                            readonly coordinates: Coordinate[];
                            readonly nodes: {
                                "__#13@#private": any;
                                readonly __type: "node";
                                readonly locations: {
                                    "__#26@#private": any;
                                    readonly __type: "enterprise-location";
                                    description?: string | undefined;
                                    name: string;
                                    amenity?: string | undefined;
                                    externalId: string;
                                    extra?: Record<string, unknown> | undefined;
                                    gallery?: {
                                        caption?: string | null;
                                        image: string;
                                        embeddedUrl?: string | null;
                                    }[] | undefined;
                                    instances?: /*elided*/ any[] | undefined;
                                    logo?: string | undefined;
                                    operationHours?: import("@mappedin/mvf/dist/extensions/enterprise").OperationHours[] | undefined;
                                    phone?: {
                                        number: string;
                                        extension?: string;
                                    } | undefined;
                                    picture?: string | undefined;
                                    shortName?: string | undefined;
                                    showFloatingLabelWhenImagePresent?: boolean | undefined;
                                    showLogo?: boolean | undefined;
                                    siblingGroups?: import("@mappedin/mvf/dist/extensions/enterprise").SiblingGroup[] | undefined;
                                    social?: {
                                        facebook?: string;
                                        instagram?: string;
                                        twitter?: string;
                                        website?: string;
                                    } | undefined;
                                    sortOrder: number;
                                    states?: import("@mappedin/mvf/dist/extensions/enterprise").LocationState[] | undefined;
                                    tags?: string[] | undefined;
                                    type: string;
                                    readonly focusTarget: /*elided*/ any[];
                                    readonly categories: {
                                        "__#27@#private": any;
                                        readonly __type: "enterprise-category";
                                        name: string;
                                        color?: string | undefined;
                                        externalId: string;
                                        extra?: Record<string, unknown> | undefined;
                                        icon?: string | undefined;
                                        iconFromDefaultList?: string | null | undefined;
                                        sortOrder: number;
                                        picture?: string | undefined;
                                        readonly children: /*elided*/ any[];
                                        readonly locations: /*elided*/ any[];
                                        toJSON(): {
                                            id: string;
                                            name: string;
                                        };
                                        destroy(): void;
                                        readonly id: string;
                                    }[];
                                    readonly coordinates: Coordinate[];
                                    readonly nodes: /*elided*/ any[];
                                    readonly spaces: /*elided*/ any[];
                                    toJSON(): {
                                        id: string;
                                        name: string;
                                    };
                                    destroy(): void;
                                    readonly id: string;
                                }[];
                                readonly space: /*elided*/ any | undefined;
                                readonly floor: Floor;
                                readonly coordinate: Coordinate;
                                readonly externalId: string;
                                readonly neighbors: /*elided*/ any[];
                                readonly geoJSON: {
                                    properties: null;
                                    type: import("@mappedin/mvf").FeatureType;
                                    geometry: import("@mappedin/mvf").Point;
                                };
                                readonly focusTarget: Coordinate;
                                readonly anchorTarget: Coordinate;
                                toJSON(): {
                                    id: string;
                                    floor: string;
                                    coordinate: {
                                        latitude: number;
                                        longitude: number;
                                        floor: string | undefined;
                                        verticalOffset: number;
                                    };
                                    neighbors: string[];
                                };
                                destroy(): void;
                                readonly id: string;
                            }[];
                            readonly floors: Floor[];
                            readonly locationProfiles: /*elided*/ any[];
                            readonly focusTarget: Coordinate[];
                            toJSON(): {
                                id: string;
                                name: string;
                                type: string;
                                externalId: string;
                                coordinates: {
                                    latitude: number;
                                    longitude: number;
                                    floor: string | undefined;
                                    verticalOffset: number;
                                }[];
                                floors: string[];
                            };
                            destroy(): void;
                            "__#57@#private": any;
                            readonly externalId: string;
                            readonly name: string;
                            readonly description: string;
                            readonly images: {
                                "__#23@#private": any;
                                readonly url: string | undefined;
                                readonly name: string | undefined;
                                readonly altText: string | undefined;
                                toJSON(): {
                                    id: string;
                                    url: string | undefined;
                                    name: string | undefined;
                                };
                                destroy(): void;
                                readonly id: string;
                            }[];
                            readonly links: {
                                "__#22@#private": any;
                                readonly url: string;
                                readonly name: string | undefined;
                                toJSON(): {
                                    id: string;
                                    url: string;
                                    name: string | undefined;
                                };
                                destroy(): void;
                                readonly id: string;
                            }[];
                            "__#58@#private": any;
                            readonly id: string;
                            readonly geoJSONBoundingBox: {};
                            readonly geoJSON: {
                                properties: null;
                                type: string;
                                geometry: {};
                            };
                        }[];
                        readonly annotations: {
                            "__#21@#private": any;
                            readonly __type: "annotation";
                            readonly group: string;
                            readonly type: string;
                            readonly coordinate: Coordinate;
                            readonly floor: Floor;
                            readonly geoJSON: {
                                properties: null;
                                type: import("@mappedin/mvf").FeatureType;
                                geometry: import("@mappedin/mvf").Point;
                            };
                            readonly focusTarget: Coordinate;
                            readonly anchorTarget: Coordinate;
                            toJSON(): {
                                id: string;
                                group: string;
                                type: string;
                                coordinate: {
                                    latitude: number;
                                    longitude: number;
                                    floor: string | undefined;
                                    verticalOffset: number;
                                };
                            };
                            destroy(): void;
                            "__#57@#private": any;
                            readonly externalId: string;
                            readonly name: string;
                            readonly description: string;
                            readonly images: {
                                "__#23@#private": any;
                                readonly url: string | undefined;
                                readonly name: string | undefined;
                                readonly altText: string | undefined;
                                toJSON(): {
                                    id: string;
                                    url: string | undefined;
                                    name: string | undefined;
                                };
                                destroy(): void;
                                readonly id: string;
                            }[];
                            readonly links: {
                                "__#22@#private": any;
                                readonly url: string;
                                readonly name: string | undefined;
                                toJSON(): {
                                    id: string;
                                    url: string;
                                    name: string | undefined;
                                };
                                destroy(): void;
                                readonly id: string;
                            }[];
                            readonly locationProfiles: /*elided*/ any[];
                            "__#58@#private": any;
                            readonly id: string;
                            readonly geoJSONBoundingBox: {};
                        }[];
                        readonly categories: {
                            "__#30@#private": any;
                            readonly __type: "location-category";
                            id: import("@mappedin/mvf").CategoryId;
                            name: string;
                            icon: string;
                            readonly parent: /*elided*/ any | undefined;
                            readonly children: /*elided*/ any[];
                            readonly locationProfiles: /*elided*/ any[];
                            toJSON(): {
                                id: string;
                                name: string;
                            };
                        }[];
                        readonly mapObjects: import("@mappedin/mappedin-js/mappedin-js/src/map-data-objects/object").MapObject[];
                        readonly areas: {
                            "__#14@#private": any;
                            readonly __type: "area";
                            readonly center: Coordinate;
                            readonly floor: Floor;
                            readonly geoJSON: {
                                properties: null;
                                type: import("@mappedin/mvf").FeatureType;
                                geometry: import("@mappedin/mvf").Polygon;
                            };
                            readonly focusTarget: /*elided*/ any;
                            readonly anchorTarget: Coordinate;
                            toJSON(): {
                                id: string;
                                name: string;
                                floor: string;
                            };
                            destroy(): void;
                            "__#57@#private": any;
                            readonly externalId: string;
                            readonly name: string;
                            readonly description: string;
                            readonly images: {
                                "__#23@#private": any;
                                readonly url: string | undefined;
                                readonly name: string | undefined;
                                readonly altText: string | undefined;
                                toJSON(): {
                                    id: string;
                                    url: string | undefined;
                                    name: string | undefined;
                                };
                                destroy(): void;
                                readonly id: string;
                            }[];
                            readonly links: {
                                "__#22@#private": any;
                                readonly url: string;
                                readonly name: string | undefined;
                                toJSON(): {
                                    id: string;
                                    url: string;
                                    name: string | undefined;
                                };
                                destroy(): void;
                                readonly id: string;
                            }[];
                            readonly locationProfiles: /*elided*/ any[];
                            "__#58@#private": any;
                            readonly id: string;
                            readonly geoJSONBoundingBox: {};
                        }[];
                        readonly focusTarget: import("@mappedin/mappedin-js/mappedin-js/src/types").TFocusTarget[];
                        readonly openingHours: import("@mappedin/mappedin-js/mappedin-js/src/map-data-objects/opening-hours").OpeningHours;
                        readonly navigationTarget: import("@mappedin/mappedin-js/mappedin-js/src/types").TNavigationTarget[];
                        toJSON(): {
                            id: string;
                            name: string;
                        };
                    }[];
                    "__#58@#private": any;
                    readonly id: string;
                    readonly geoJSONBoundingBox: {};
                }[];
                readonly center: Coordinate;
                readonly geoJSON: {
                    properties: null;
                    type: import("@mappedin/mvf").FeatureType;
                    geometry: import("@mappedin/mvf").Polygon | import("@mappedin/mvf").LineString | import("@mappedin/mvf").Point;
                };
                readonly focusTarget: /*elided*/ any | Coordinate;
                readonly anchorTarget: Coordinate;
                toJSON(): {
                    id: string;
                    name: string;
                    type: import("@mappedin/mappedin-js/mappedin-js/src/map-data-objects/space").TSpaceType;
                    floor: string;
                    center: {
                        latitude: number;
                        longitude: number;
                        floor: string | undefined;
                        verticalOffset: number;
                    };
                };
                destroy(): void;
                "__#57@#private": any;
                readonly externalId: string;
                readonly name: string;
                readonly description: string;
                readonly images: {
                    "__#23@#private": any;
                    readonly url: string | undefined;
                    readonly name: string | undefined;
                    readonly altText: string | undefined;
                    toJSON(): {
                        id: string;
                        url: string | undefined;
                        name: string | undefined;
                    };
                    destroy(): void;
                    readonly id: string;
                }[];
                readonly links: {
                    "__#22@#private": any;
                    readonly url: string;
                    readonly name: string | undefined;
                    toJSON(): {
                        id: string;
                        url: string;
                        name: string | undefined;
                    };
                    destroy(): void;
                    readonly id: string;
                }[];
                readonly locationProfiles: {
                    "__#29@#private": any;
                    readonly __type: "location-profile";
                    id: import("@mappedin/mvf").LocationId;
                    name: string;
                    externalId?: string;
                    description?: string;
                    logo?: string;
                    phone?: string;
                    social: import("@mappedin/mvf").LocationSocial[];
                    images: {
                        "__#23@#private": any;
                        readonly url: string | undefined;
                        readonly name: string | undefined;
                        readonly altText: string | undefined;
                        toJSON(): {
                            id: string;
                            url: string | undefined;
                            name: string | undefined;
                        };
                        destroy(): void;
                        readonly id: string;
                    }[];
                    links: {
                        "__#22@#private": any;
                        readonly url: string;
                        readonly name: string | undefined;
                        toJSON(): {
                            id: string;
                            url: string;
                            name: string | undefined;
                        };
                        destroy(): void;
                        readonly id: string;
                    }[];
                    website?: {
                        "__#22@#private": any;
                        readonly url: string;
                        readonly name: string | undefined;
                        toJSON(): {
                            id: string;
                            url: string;
                            name: string | undefined;
                        };
                        destroy(): void;
                        readonly id: string;
                    };
                    readonly spaces: /*elided*/ any[];
                    readonly points: {
                        "__#20@#private": any;
                        readonly __type: "point-of-interest";
                        readonly floor: Floor;
                        readonly coordinate: Coordinate;
                        readonly geoJSON: {
                            properties: null;
                            type: import("@mappedin/mvf").FeatureType;
                            geometry: import("@mappedin/mvf").Point;
                        };
                        readonly focusTarget: Coordinate;
                        readonly anchorTarget: Coordinate;
                        toJSON(): {
                            id: string;
                            name: string;
                            floor: string;
                            coordinate: {
                                latitude: number;
                                longitude: number;
                                floor: string | undefined;
                                verticalOffset: number;
                            };
                        };
                        destroy(): void;
                        "__#57@#private": any;
                        readonly externalId: string;
                        readonly name: string;
                        readonly description: string;
                        readonly images: {
                            "__#23@#private": any;
                            readonly url: string | undefined;
                            readonly name: string | undefined;
                            readonly altText: string | undefined;
                            toJSON(): {
                                id: string;
                                url: string | undefined;
                                name: string | undefined;
                            };
                            destroy(): void;
                            readonly id: string;
                        }[];
                        readonly links: {
                            "__#22@#private": any;
                            readonly url: string;
                            readonly name: string | undefined;
                            toJSON(): {
                                id: string;
                                url: string;
                                name: string | undefined;
                            };
                            destroy(): void;
                            readonly id: string;
                        }[];
                        readonly locationProfiles: /*elided*/ any[];
                        "__#58@#private": any;
                        readonly id: string;
                        readonly geoJSONBoundingBox: {};
                    }[];
                    readonly doors: {
                        "__#15@#private": any;
                        readonly __type: "door";
                        readonly floor: Floor;
                        readonly center: Coordinate;
                        readonly isExterior: boolean;
                        readonly geoJSON: {
                            properties: null;
                            type: import("@mappedin/mvf").FeatureType;
                            geometry: import("@mappedin/mvf").LineString;
                        };
                        readonly focusTarget: Coordinate;
                        readonly anchorTarget: Coordinate;
                        toJSON(): {
                            id: string;
                            name: string;
                            floor: string;
                            center: {
                                latitude: number;
                                longitude: number;
                                floor: string | undefined;
                                verticalOffset: number;
                            };
                        };
                        destroy(): void;
                        "__#57@#private": any;
                        readonly externalId: string;
                        readonly name: string;
                        readonly description: string;
                        readonly images: {
                            "__#23@#private": any;
                            readonly url: string | undefined;
                            readonly name: string | undefined;
                            readonly altText: string | undefined;
                            toJSON(): {
                                id: string;
                                url: string | undefined;
                                name: string | undefined;
                            };
                            destroy(): void;
                            readonly id: string;
                        }[];
                        readonly links: {
                            "__#22@#private": any;
                            readonly url: string;
                            readonly name: string | undefined;
                            toJSON(): {
                                id: string;
                                url: string;
                                name: string | undefined;
                            };
                            destroy(): void;
                            readonly id: string;
                        }[];
                        readonly locationProfiles: /*elided*/ any[];
                        "__#58@#private": any;
                        readonly id: string;
                        readonly geoJSONBoundingBox: {};
                    }[];
                    readonly connections: {
                        "__#18@#private": any;
                        readonly __type: "connection";
                        readonly accessible: boolean;
                        readonly type: string;
                        readonly coordinates: Coordinate[];
                        readonly nodes: {
                            "__#13@#private": any;
                            readonly __type: "node";
                            readonly locations: {
                                "__#26@#private": any;
                                readonly __type: "enterprise-location";
                                description?: string | undefined;
                                name: string;
                                amenity?: string | undefined;
                                externalId: string;
                                extra?: Record<string, unknown> | undefined;
                                gallery?: {
                                    caption?: string | null;
                                    image: string;
                                    embeddedUrl?: string | null;
                                }[] | undefined;
                                instances?: /*elided*/ any[] | undefined;
                                logo?: string | undefined;
                                operationHours?: import("@mappedin/mvf/dist/extensions/enterprise").OperationHours[] | undefined;
                                phone?: {
                                    number: string;
                                    extension?: string;
                                } | undefined;
                                picture?: string | undefined;
                                shortName?: string | undefined;
                                showFloatingLabelWhenImagePresent?: boolean | undefined;
                                showLogo?: boolean | undefined;
                                siblingGroups?: import("@mappedin/mvf/dist/extensions/enterprise").SiblingGroup[] | undefined;
                                social?: {
                                    facebook?: string;
                                    instagram?: string;
                                    twitter?: string;
                                    website?: string;
                                } | undefined;
                                sortOrder: number;
                                states?: import("@mappedin/mvf/dist/extensions/enterprise").LocationState[] | undefined;
                                tags?: string[] | undefined;
                                type: string;
                                readonly focusTarget: /*elided*/ any[];
                                readonly categories: {
                                    "__#27@#private": any;
                                    readonly __type: "enterprise-category";
                                    name: string;
                                    color?: string | undefined;
                                    externalId: string;
                                    extra?: Record<string, unknown> | undefined;
                                    icon?: string | undefined;
                                    iconFromDefaultList?: string | null | undefined;
                                    sortOrder: number;
                                    picture?: string | undefined;
                                    readonly children: /*elided*/ any[];
                                    readonly locations: /*elided*/ any[];
                                    toJSON(): {
                                        id: string;
                                        name: string;
                                    };
                                    destroy(): void;
                                    readonly id: string;
                                }[];
                                readonly coordinates: Coordinate[];
                                readonly nodes: /*elided*/ any[];
                                readonly spaces: /*elided*/ any[];
                                toJSON(): {
                                    id: string;
                                    name: string;
                                };
                                destroy(): void;
                                readonly id: string;
                            }[];
                            readonly space: /*elided*/ any | undefined;
                            readonly floor: Floor;
                            readonly coordinate: Coordinate;
                            readonly externalId: string;
                            readonly neighbors: /*elided*/ any[];
                            readonly geoJSON: {
                                properties: null;
                                type: import("@mappedin/mvf").FeatureType;
                                geometry: import("@mappedin/mvf").Point;
                            };
                            readonly focusTarget: Coordinate;
                            readonly anchorTarget: Coordinate;
                            toJSON(): {
                                id: string;
                                floor: string;
                                coordinate: {
                                    latitude: number;
                                    longitude: number;
                                    floor: string | undefined;
                                    verticalOffset: number;
                                };
                                neighbors: string[];
                            };
                            destroy(): void;
                            readonly id: string;
                        }[];
                        readonly floors: Floor[];
                        readonly locationProfiles: /*elided*/ any[];
                        readonly focusTarget: Coordinate[];
                        toJSON(): {
                            id: string;
                            name: string;
                            type: string;
                            externalId: string;
                            coordinates: {
                                latitude: number;
                                longitude: number;
                                floor: string | undefined;
                                verticalOffset: number;
                            }[];
                            floors: string[];
                        };
                        destroy(): void;
                        "__#57@#private": any;
                        readonly externalId: string;
                        readonly name: string;
                        readonly description: string;
                        readonly images: {
                            "__#23@#private": any;
                            readonly url: string | undefined;
                            readonly name: string | undefined;
                            readonly altText: string | undefined;
                            toJSON(): {
                                id: string;
                                url: string | undefined;
                                name: string | undefined;
                            };
                            destroy(): void;
                            readonly id: string;
                        }[];
                        readonly links: {
                            "__#22@#private": any;
                            readonly url: string;
                            readonly name: string | undefined;
                            toJSON(): {
                                id: string;
                                url: string;
                                name: string | undefined;
                            };
                            destroy(): void;
                            readonly id: string;
                        }[];
                        "__#58@#private": any;
                        readonly id: string;
                        readonly geoJSONBoundingBox: {};
                        readonly geoJSON: {
                            properties: null;
                            type: string;
                            geometry: {};
                        };
                    }[];
                    readonly annotations: {
                        "__#21@#private": any;
                        readonly __type: "annotation";
                        readonly group: string;
                        readonly type: string;
                        readonly coordinate: Coordinate;
                        readonly floor: Floor;
                        readonly geoJSON: {
                            properties: null;
                            type: import("@mappedin/mvf").FeatureType;
                            geometry: import("@mappedin/mvf").Point;
                        };
                        readonly focusTarget: Coordinate;
                        readonly anchorTarget: Coordinate;
                        toJSON(): {
                            id: string;
                            group: string;
                            type: string;
                            coordinate: {
                                latitude: number;
                                longitude: number;
                                floor: string | undefined;
                                verticalOffset: number;
                            };
                        };
                        destroy(): void;
                        "__#57@#private": any;
                        readonly externalId: string;
                        readonly name: string;
                        readonly description: string;
                        readonly images: {
                            "__#23@#private": any;
                            readonly url: string | undefined;
                            readonly name: string | undefined;
                            readonly altText: string | undefined;
                            toJSON(): {
                                id: string;
                                url: string | undefined;
                                name: string | undefined;
                            };
                            destroy(): void;
                            readonly id: string;
                        }[];
                        readonly links: {
                            "__#22@#private": any;
                            readonly url: string;
                            readonly name: string | undefined;
                            toJSON(): {
                                id: string;
                                url: string;
                                name: string | undefined;
                            };
                            destroy(): void;
                            readonly id: string;
                        }[];
                        readonly locationProfiles: /*elided*/ any[];
                        "__#58@#private": any;
                        readonly id: string;
                        readonly geoJSONBoundingBox: {};
                    }[];
                    readonly categories: {
                        "__#30@#private": any;
                        readonly __type: "location-category";
                        id: import("@mappedin/mvf").CategoryId;
                        name: string;
                        icon: string;
                        readonly parent: /*elided*/ any | undefined;
                        readonly children: /*elided*/ any[];
                        readonly locationProfiles: /*elided*/ any[];
                        toJSON(): {
                            id: string;
                            name: string;
                        };
                    }[];
                    readonly mapObjects: import("@mappedin/mappedin-js/mappedin-js/src/map-data-objects/object").MapObject[];
                    readonly areas: {
                        "__#14@#private": any;
                        readonly __type: "area";
                        readonly center: Coordinate;
                        readonly floor: Floor;
                        readonly geoJSON: {
                            properties: null;
                            type: import("@mappedin/mvf").FeatureType;
                            geometry: import("@mappedin/mvf").Polygon;
                        };
                        readonly focusTarget: /*elided*/ any;
                        readonly anchorTarget: Coordinate;
                        toJSON(): {
                            id: string;
                            name: string;
                            floor: string;
                        };
                        destroy(): void;
                        "__#57@#private": any;
                        readonly externalId: string;
                        readonly name: string;
                        readonly description: string;
                        readonly images: {
                            "__#23@#private": any;
                            readonly url: string | undefined;
                            readonly name: string | undefined;
                            readonly altText: string | undefined;
                            toJSON(): {
                                id: string;
                                url: string | undefined;
                                name: string | undefined;
                            };
                            destroy(): void;
                            readonly id: string;
                        }[];
                        readonly links: {
                            "__#22@#private": any;
                            readonly url: string;
                            readonly name: string | undefined;
                            toJSON(): {
                                id: string;
                                url: string;
                                name: string | undefined;
                            };
                            destroy(): void;
                            readonly id: string;
                        }[];
                        readonly locationProfiles: /*elided*/ any[];
                        "__#58@#private": any;
                        readonly id: string;
                        readonly geoJSONBoundingBox: {};
                    }[];
                    readonly focusTarget: import("@mappedin/mappedin-js/mappedin-js/src/types").TFocusTarget[];
                    readonly openingHours: import("@mappedin/mappedin-js/mappedin-js/src/map-data-objects/opening-hours").OpeningHours;
                    readonly navigationTarget: import("@mappedin/mappedin-js/mappedin-js/src/types").TNavigationTarget[];
                    toJSON(): {
                        id: string;
                        name: string;
                    };
                }[];
                "__#58@#private": any;
                readonly id: string;
                readonly geoJSONBoundingBox: {};
            }[];
            readonly center: Coordinate;
            readonly focusTarget: {
                "__#16@#private": any;
                readonly __type: "space";
                getMvfData(): import("@mappedin/mvf").Feature<import("@mappedin/mvf").Polygon | import("@mappedin/mvf").LineString | import("@mappedin/mvf").Point, import("@mappedin/mvf").SpaceProperties>;
                readonly type: import("@mappedin/mappedin-js/mappedin-js/src/map-data-objects/space").TSpaceType;
                readonly locations: {
                    "__#26@#private": any;
                    readonly __type: "enterprise-location";
                    description?: string | undefined;
                    name: string;
                    amenity?: string | undefined;
                    externalId: string;
                    extra?: Record<string, unknown> | undefined;
                    gallery?: {
                        caption?: string | null;
                        image: string;
                        embeddedUrl?: string | null;
                    }[] | undefined;
                    instances?: /*elided*/ any[] | undefined;
                    logo?: string | undefined;
                    operationHours?: import("@mappedin/mvf/dist/extensions/enterprise").OperationHours[] | undefined;
                    phone?: {
                        number: string;
                        extension?: string;
                    } | undefined;
                    picture?: string | undefined;
                    shortName?: string | undefined;
                    showFloatingLabelWhenImagePresent?: boolean | undefined;
                    showLogo?: boolean | undefined;
                    siblingGroups?: import("@mappedin/mvf/dist/extensions/enterprise").SiblingGroup[] | undefined;
                    social?: {
                        facebook?: string;
                        instagram?: string;
                        twitter?: string;
                        website?: string;
                    } | undefined;
                    sortOrder: number;
                    states?: import("@mappedin/mvf/dist/extensions/enterprise").LocationState[] | undefined;
                    tags?: string[] | undefined;
                    type: string;
                    readonly focusTarget: /*elided*/ any[];
                    readonly categories: {
                        "__#27@#private": any;
                        readonly __type: "enterprise-category";
                        name: string;
                        color?: string | undefined;
                        externalId: string;
                        extra?: Record<string, unknown> | undefined;
                        icon?: string | undefined;
                        iconFromDefaultList?: string | null | undefined;
                        sortOrder: number;
                        picture?: string | undefined;
                        readonly children: /*elided*/ any[];
                        readonly locations: /*elided*/ any[];
                        toJSON(): {
                            id: string;
                            name: string;
                        };
                        destroy(): void;
                        readonly id: string;
                    }[];
                    readonly coordinates: Coordinate[];
                    readonly nodes: {
                        "__#13@#private": any;
                        readonly __type: "node";
                        readonly locations: /*elided*/ any[];
                        readonly space: /*elided*/ any | undefined;
                        readonly floor: Floor;
                        readonly coordinate: Coordinate;
                        readonly externalId: string;
                        readonly neighbors: /*elided*/ any[];
                        readonly geoJSON: {
                            properties: null;
                            type: import("@mappedin/mvf").FeatureType;
                            geometry: import("@mappedin/mvf").Point;
                        };
                        readonly focusTarget: Coordinate;
                        readonly anchorTarget: Coordinate;
                        toJSON(): {
                            id: string;
                            floor: string;
                            coordinate: {
                                latitude: number;
                                longitude: number;
                                floor: string | undefined;
                                verticalOffset: number;
                            };
                            neighbors: string[];
                        };
                        destroy(): void;
                        readonly id: string;
                    }[];
                    readonly spaces: /*elided*/ any[];
                    toJSON(): {
                        id: string;
                        name: string;
                    };
                    destroy(): void;
                    readonly id: string;
                }[];
                readonly floor: Floor;
                readonly doors: {
                    "__#15@#private": any;
                    readonly __type: "door";
                    readonly floor: Floor;
                    readonly center: Coordinate;
                    readonly isExterior: boolean;
                    readonly geoJSON: {
                        properties: null;
                        type: import("@mappedin/mvf").FeatureType;
                        geometry: import("@mappedin/mvf").LineString;
                    };
                    readonly focusTarget: Coordinate;
                    readonly anchorTarget: Coordinate;
                    toJSON(): {
                        id: string;
                        name: string;
                        floor: string;
                        center: {
                            latitude: number;
                            longitude: number;
                            floor: string | undefined;
                            verticalOffset: number;
                        };
                    };
                    destroy(): void;
                    "__#57@#private": any;
                    readonly externalId: string;
                    readonly name: string;
                    readonly description: string;
                    readonly images: {
                        "__#23@#private": any;
                        readonly url: string | undefined;
                        readonly name: string | undefined;
                        readonly altText: string | undefined;
                        toJSON(): {
                            id: string;
                            url: string | undefined;
                            name: string | undefined;
                        };
                        destroy(): void;
                        readonly id: string;
                    }[];
                    readonly links: {
                        "__#22@#private": any;
                        readonly url: string;
                        readonly name: string | undefined;
                        toJSON(): {
                            id: string;
                            url: string;
                            name: string | undefined;
                        };
                        destroy(): void;
                        readonly id: string;
                    }[];
                    readonly locationProfiles: {
                        "__#29@#private": any;
                        readonly __type: "location-profile";
                        id: import("@mappedin/mvf").LocationId;
                        name: string;
                        externalId?: string;
                        description?: string;
                        logo?: string;
                        phone?: string;
                        social: import("@mappedin/mvf").LocationSocial[];
                        images: {
                            "__#23@#private": any;
                            readonly url: string | undefined;
                            readonly name: string | undefined;
                            readonly altText: string | undefined;
                            toJSON(): {
                                id: string;
                                url: string | undefined;
                                name: string | undefined;
                            };
                            destroy(): void;
                            readonly id: string;
                        }[];
                        links: {
                            "__#22@#private": any;
                            readonly url: string;
                            readonly name: string | undefined;
                            toJSON(): {
                                id: string;
                                url: string;
                                name: string | undefined;
                            };
                            destroy(): void;
                            readonly id: string;
                        }[];
                        website?: {
                            "__#22@#private": any;
                            readonly url: string;
                            readonly name: string | undefined;
                            toJSON(): {
                                id: string;
                                url: string;
                                name: string | undefined;
                            };
                            destroy(): void;
                            readonly id: string;
                        };
                        readonly spaces: /*elided*/ any[];
                        readonly points: {
                            "__#20@#private": any;
                            readonly __type: "point-of-interest";
                            readonly floor: Floor;
                            readonly coordinate: Coordinate;
                            readonly geoJSON: {
                                properties: null;
                                type: import("@mappedin/mvf").FeatureType;
                                geometry: import("@mappedin/mvf").Point;
                            };
                            readonly focusTarget: Coordinate;
                            readonly anchorTarget: Coordinate;
                            toJSON(): {
                                id: string;
                                name: string;
                                floor: string;
                                coordinate: {
                                    latitude: number;
                                    longitude: number;
                                    floor: string | undefined;
                                    verticalOffset: number;
                                };
                            };
                            destroy(): void;
                            "__#57@#private": any;
                            readonly externalId: string;
                            readonly name: string;
                            readonly description: string;
                            readonly images: {
                                "__#23@#private": any;
                                readonly url: string | undefined;
                                readonly name: string | undefined;
                                readonly altText: string | undefined;
                                toJSON(): {
                                    id: string;
                                    url: string | undefined;
                                    name: string | undefined;
                                };
                                destroy(): void;
                                readonly id: string;
                            }[];
                            readonly links: {
                                "__#22@#private": any;
                                readonly url: string;
                                readonly name: string | undefined;
                                toJSON(): {
                                    id: string;
                                    url: string;
                                    name: string | undefined;
                                };
                                destroy(): void;
                                readonly id: string;
                            }[];
                            readonly locationProfiles: /*elided*/ any[];
                            "__#58@#private": any;
                            readonly id: string;
                            readonly geoJSONBoundingBox: {};
                        }[];
                        readonly doors: /*elided*/ any[];
                        readonly connections: {
                            "__#18@#private": any;
                            readonly __type: "connection";
                            readonly accessible: boolean;
                            readonly type: string;
                            readonly coordinates: Coordinate[];
                            readonly nodes: {
                                "__#13@#private": any;
                                readonly __type: "node";
                                readonly locations: {
                                    "__#26@#private": any;
                                    readonly __type: "enterprise-location";
                                    description?: string | undefined;
                                    name: string;
                                    amenity?: string | undefined;
                                    externalId: string;
                                    extra?: Record<string, unknown> | undefined;
                                    gallery?: {
                                        caption?: string | null;
                                        image: string;
                                        embeddedUrl?: string | null;
                                    }[] | undefined;
                                    instances?: /*elided*/ any[] | undefined;
                                    logo?: string | undefined;
                                    operationHours?: import("@mappedin/mvf/dist/extensions/enterprise").OperationHours[] | undefined;
                                    phone?: {
                                        number: string;
                                        extension?: string;
                                    } | undefined;
                                    picture?: string | undefined;
                                    shortName?: string | undefined;
                                    showFloatingLabelWhenImagePresent?: boolean | undefined;
                                    showLogo?: boolean | undefined;
                                    siblingGroups?: import("@mappedin/mvf/dist/extensions/enterprise").SiblingGroup[] | undefined;
                                    social?: {
                                        facebook?: string;
                                        instagram?: string;
                                        twitter?: string;
                                        website?: string;
                                    } | undefined;
                                    sortOrder: number;
                                    states?: import("@mappedin/mvf/dist/extensions/enterprise").LocationState[] | undefined;
                                    tags?: string[] | undefined;
                                    type: string;
                                    readonly focusTarget: /*elided*/ any[];
                                    readonly categories: {
                                        "__#27@#private": any;
                                        readonly __type: "enterprise-category";
                                        name: string;
                                        color?: string | undefined;
                                        externalId: string;
                                        extra?: Record<string, unknown> | undefined;
                                        icon?: string | undefined;
                                        iconFromDefaultList?: string | null | undefined;
                                        sortOrder: number;
                                        picture?: string | undefined;
                                        readonly children: /*elided*/ any[];
                                        readonly locations: /*elided*/ any[];
                                        toJSON(): {
                                            id: string;
                                            name: string;
                                        };
                                        destroy(): void;
                                        readonly id: string;
                                    }[];
                                    readonly coordinates: Coordinate[];
                                    readonly nodes: /*elided*/ any[];
                                    readonly spaces: /*elided*/ any[];
                                    toJSON(): {
                                        id: string;
                                        name: string;
                                    };
                                    destroy(): void;
                                    readonly id: string;
                                }[];
                                readonly space: /*elided*/ any | undefined;
                                readonly floor: Floor;
                                readonly coordinate: Coordinate;
                                readonly externalId: string;
                                readonly neighbors: /*elided*/ any[];
                                readonly geoJSON: {
                                    properties: null;
                                    type: import("@mappedin/mvf").FeatureType;
                                    geometry: import("@mappedin/mvf").Point;
                                };
                                readonly focusTarget: Coordinate;
                                readonly anchorTarget: Coordinate;
                                toJSON(): {
                                    id: string;
                                    floor: string;
                                    coordinate: {
                                        latitude: number;
                                        longitude: number;
                                        floor: string | undefined;
                                        verticalOffset: number;
                                    };
                                    neighbors: string[];
                                };
                                destroy(): void;
                                readonly id: string;
                            }[];
                            readonly floors: Floor[];
                            readonly locationProfiles: /*elided*/ any[];
                            readonly focusTarget: Coordinate[];
                            toJSON(): {
                                id: string;
                                name: string;
                                type: string;
                                externalId: string;
                                coordinates: {
                                    latitude: number;
                                    longitude: number;
                                    floor: string | undefined;
                                    verticalOffset: number;
                                }[];
                                floors: string[];
                            };
                            destroy(): void;
                            "__#57@#private": any;
                            readonly externalId: string;
                            readonly name: string;
                            readonly description: string;
                            readonly images: {
                                "__#23@#private": any;
                                readonly url: string | undefined;
                                readonly name: string | undefined;
                                readonly altText: string | undefined;
                                toJSON(): {
                                    id: string;
                                    url: string | undefined;
                                    name: string | undefined;
                                };
                                destroy(): void;
                                readonly id: string;
                            }[];
                            readonly links: {
                                "__#22@#private": any;
                                readonly url: string;
                                readonly name: string | undefined;
                                toJSON(): {
                                    id: string;
                                    url: string;
                                    name: string | undefined;
                                };
                                destroy(): void;
                                readonly id: string;
                            }[];
                            "__#58@#private": any;
                            readonly id: string;
                            readonly geoJSONBoundingBox: {};
                            readonly geoJSON: {
                                properties: null;
                                type: string;
                                geometry: {};
                            };
                        }[];
                        readonly annotations: {
                            "__#21@#private": any;
                            readonly __type: "annotation";
                            readonly group: string;
                            readonly type: string;
                            readonly coordinate: Coordinate;
                            readonly floor: Floor;
                            readonly geoJSON: {
                                properties: null;
                                type: import("@mappedin/mvf").FeatureType;
                                geometry: import("@mappedin/mvf").Point;
                            };
                            readonly focusTarget: Coordinate;
                            readonly anchorTarget: Coordinate;
                            toJSON(): {
                                id: string;
                                group: string;
                                type: string;
                                coordinate: {
                                    latitude: number;
                                    longitude: number;
                                    floor: string | undefined;
                                    verticalOffset: number;
                                };
                            };
                            destroy(): void;
                            "__#57@#private": any;
                            readonly externalId: string;
                            readonly name: string;
                            readonly description: string;
                            readonly images: {
                                "__#23@#private": any;
                                readonly url: string | undefined;
                                readonly name: string | undefined;
                                readonly altText: string | undefined;
                                toJSON(): {
                                    id: string;
                                    url: string | undefined;
                                    name: string | undefined;
                                };
                                destroy(): void;
                                readonly id: string;
                            }[];
                            readonly links: {
                                "__#22@#private": any;
                                readonly url: string;
                                readonly name: string | undefined;
                                toJSON(): {
                                    id: string;
                                    url: string;
                                    name: string | undefined;
                                };
                                destroy(): void;
                                readonly id: string;
                            }[];
                            readonly locationProfiles: /*elided*/ any[];
                            "__#58@#private": any;
                            readonly id: string;
                            readonly geoJSONBoundingBox: {};
                        }[];
                        readonly categories: {
                            "__#30@#private": any;
                            readonly __type: "location-category";
                            id: import("@mappedin/mvf").CategoryId;
                            name: string;
                            icon: string;
                            readonly parent: /*elided*/ any | undefined;
                            readonly children: /*elided*/ any[];
                            readonly locationProfiles: /*elided*/ any[];
                            toJSON(): {
                                id: string;
                                name: string;
                            };
                        }[];
                        readonly mapObjects: import("@mappedin/mappedin-js/mappedin-js/src/map-data-objects/object").MapObject[];
                        readonly areas: {
                            "__#14@#private": any;
                            readonly __type: "area";
                            readonly center: Coordinate;
                            readonly floor: Floor;
                            readonly geoJSON: {
                                properties: null;
                                type: import("@mappedin/mvf").FeatureType;
                                geometry: import("@mappedin/mvf").Polygon;
                            };
                            readonly focusTarget: /*elided*/ any;
                            readonly anchorTarget: Coordinate;
                            toJSON(): {
                                id: string;
                                name: string;
                                floor: string;
                            };
                            destroy(): void;
                            "__#57@#private": any;
                            readonly externalId: string;
                            readonly name: string;
                            readonly description: string;
                            readonly images: {
                                "__#23@#private": any;
                                readonly url: string | undefined;
                                readonly name: string | undefined;
                                readonly altText: string | undefined;
                                toJSON(): {
                                    id: string;
                                    url: string | undefined;
                                    name: string | undefined;
                                };
                                destroy(): void;
                                readonly id: string;
                            }[];
                            readonly links: {
                                "__#22@#private": any;
                                readonly url: string;
                                readonly name: string | undefined;
                                toJSON(): {
                                    id: string;
                                    url: string;
                                    name: string | undefined;
                                };
                                destroy(): void;
                                readonly id: string;
                            }[];
                            readonly locationProfiles: /*elided*/ any[];
                            "__#58@#private": any;
                            readonly id: string;
                            readonly geoJSONBoundingBox: {};
                        }[];
                        readonly focusTarget: import("@mappedin/mappedin-js/mappedin-js/src/types").TFocusTarget[];
                        readonly openingHours: import("@mappedin/mappedin-js/mappedin-js/src/map-data-objects/opening-hours").OpeningHours;
                        readonly navigationTarget: import("@mappedin/mappedin-js/mappedin-js/src/types").TNavigationTarget[];
                        toJSON(): {
                            id: string;
                            name: string;
                        };
                    }[];
                    "__#58@#private": any;
                    readonly id: string;
                    readonly geoJSONBoundingBox: {};
                }[];
                readonly center: Coordinate;
                readonly geoJSON: {
                    properties: null;
                    type: import("@mappedin/mvf").FeatureType;
                    geometry: import("@mappedin/mvf").Polygon | import("@mappedin/mvf").LineString | import("@mappedin/mvf").Point;
                };
                readonly focusTarget: /*elided*/ any | Coordinate;
                readonly anchorTarget: Coordinate;
                toJSON(): {
                    id: string;
                    name: string;
                    type: import("@mappedin/mappedin-js/mappedin-js/src/map-data-objects/space").TSpaceType;
                    floor: string;
                    center: {
                        latitude: number;
                        longitude: number;
                        floor: string | undefined;
                        verticalOffset: number;
                    };
                };
                destroy(): void;
                "__#57@#private": any;
                readonly externalId: string;
                readonly name: string;
                readonly description: string;
                readonly images: {
                    "__#23@#private": any;
                    readonly url: string | undefined;
                    readonly name: string | undefined;
                    readonly altText: string | undefined;
                    toJSON(): {
                        id: string;
                        url: string | undefined;
                        name: string | undefined;
                    };
                    destroy(): void;
                    readonly id: string;
                }[];
                readonly links: {
                    "__#22@#private": any;
                    readonly url: string;
                    readonly name: string | undefined;
                    toJSON(): {
                        id: string;
                        url: string;
                        name: string | undefined;
                    };
                    destroy(): void;
                    readonly id: string;
                }[];
                readonly locationProfiles: {
                    "__#29@#private": any;
                    readonly __type: "location-profile";
                    id: import("@mappedin/mvf").LocationId;
                    name: string;
                    externalId?: string;
                    description?: string;
                    logo?: string;
                    phone?: string;
                    social: import("@mappedin/mvf").LocationSocial[];
                    images: {
                        "__#23@#private": any;
                        readonly url: string | undefined;
                        readonly name: string | undefined;
                        readonly altText: string | undefined;
                        toJSON(): {
                            id: string;
                            url: string | undefined;
                            name: string | undefined;
                        };
                        destroy(): void;
                        readonly id: string;
                    }[];
                    links: {
                        "__#22@#private": any;
                        readonly url: string;
                        readonly name: string | undefined;
                        toJSON(): {
                            id: string;
                            url: string;
                            name: string | undefined;
                        };
                        destroy(): void;
                        readonly id: string;
                    }[];
                    website?: {
                        "__#22@#private": any;
                        readonly url: string;
                        readonly name: string | undefined;
                        toJSON(): {
                            id: string;
                            url: string;
                            name: string | undefined;
                        };
                        destroy(): void;
                        readonly id: string;
                    };
                    readonly spaces: /*elided*/ any[];
                    readonly points: {
                        "__#20@#private": any;
                        readonly __type: "point-of-interest";
                        readonly floor: Floor;
                        readonly coordinate: Coordinate;
                        readonly geoJSON: {
                            properties: null;
                            type: import("@mappedin/mvf").FeatureType;
                            geometry: import("@mappedin/mvf").Point;
                        };
                        readonly focusTarget: Coordinate;
                        readonly anchorTarget: Coordinate;
                        toJSON(): {
                            id: string;
                            name: string;
                            floor: string;
                            coordinate: {
                                latitude: number;
                                longitude: number;
                                floor: string | undefined;
                                verticalOffset: number;
                            };
                        };
                        destroy(): void;
                        "__#57@#private": any;
                        readonly externalId: string;
                        readonly name: string;
                        readonly description: string;
                        readonly images: {
                            "__#23@#private": any;
                            readonly url: string | undefined;
                            readonly name: string | undefined;
                            readonly altText: string | undefined;
                            toJSON(): {
                                id: string;
                                url: string | undefined;
                                name: string | undefined;
                            };
                            destroy(): void;
                            readonly id: string;
                        }[];
                        readonly links: {
                            "__#22@#private": any;
                            readonly url: string;
                            readonly name: string | undefined;
                            toJSON(): {
                                id: string;
                                url: string;
                                name: string | undefined;
                            };
                            destroy(): void;
                            readonly id: string;
                        }[];
                        readonly locationProfiles: /*elided*/ any[];
                        "__#58@#private": any;
                        readonly id: string;
                        readonly geoJSONBoundingBox: {};
                    }[];
                    readonly doors: {
                        "__#15@#private": any;
                        readonly __type: "door";
                        readonly floor: Floor;
                        readonly center: Coordinate;
                        readonly isExterior: boolean;
                        readonly geoJSON: {
                            properties: null;
                            type: import("@mappedin/mvf").FeatureType;
                            geometry: import("@mappedin/mvf").LineString;
                        };
                        readonly focusTarget: Coordinate;
                        readonly anchorTarget: Coordinate;
                        toJSON(): {
                            id: string;
                            name: string;
                            floor: string;
                            center: {
                                latitude: number;
                                longitude: number;
                                floor: string | undefined;
                                verticalOffset: number;
                            };
                        };
                        destroy(): void;
                        "__#57@#private": any;
                        readonly externalId: string;
                        readonly name: string;
                        readonly description: string;
                        readonly images: {
                            "__#23@#private": any;
                            readonly url: string | undefined;
                            readonly name: string | undefined;
                            readonly altText: string | undefined;
                            toJSON(): {
                                id: string;
                                url: string | undefined;
                                name: string | undefined;
                            };
                            destroy(): void;
                            readonly id: string;
                        }[];
                        readonly links: {
                            "__#22@#private": any;
                            readonly url: string;
                            readonly name: string | undefined;
                            toJSON(): {
                                id: string;
                                url: string;
                                name: string | undefined;
                            };
                            destroy(): void;
                            readonly id: string;
                        }[];
                        readonly locationProfiles: /*elided*/ any[];
                        "__#58@#private": any;
                        readonly id: string;
                        readonly geoJSONBoundingBox: {};
                    }[];
                    readonly connections: {
                        "__#18@#private": any;
                        readonly __type: "connection";
                        readonly accessible: boolean;
                        readonly type: string;
                        readonly coordinates: Coordinate[];
                        readonly nodes: {
                            "__#13@#private": any;
                            readonly __type: "node";
                            readonly locations: {
                                "__#26@#private": any;
                                readonly __type: "enterprise-location";
                                description?: string | undefined;
                                name: string;
                                amenity?: string | undefined;
                                externalId: string;
                                extra?: Record<string, unknown> | undefined;
                                gallery?: {
                                    caption?: string | null;
                                    image: string;
                                    embeddedUrl?: string | null;
                                }[] | undefined;
                                instances?: /*elided*/ any[] | undefined;
                                logo?: string | undefined;
                                operationHours?: import("@mappedin/mvf/dist/extensions/enterprise").OperationHours[] | undefined;
                                phone?: {
                                    number: string;
                                    extension?: string;
                                } | undefined;
                                picture?: string | undefined;
                                shortName?: string | undefined;
                                showFloatingLabelWhenImagePresent?: boolean | undefined;
                                showLogo?: boolean | undefined;
                                siblingGroups?: import("@mappedin/mvf/dist/extensions/enterprise").SiblingGroup[] | undefined;
                                social?: {
                                    facebook?: string;
                                    instagram?: string;
                                    twitter?: string;
                                    website?: string;
                                } | undefined;
                                sortOrder: number;
                                states?: import("@mappedin/mvf/dist/extensions/enterprise").LocationState[] | undefined;
                                tags?: string[] | undefined;
                                type: string;
                                readonly focusTarget: /*elided*/ any[];
                                readonly categories: {
                                    "__#27@#private": any;
                                    readonly __type: "enterprise-category";
                                    name: string;
                                    color?: string | undefined;
                                    externalId: string;
                                    extra?: Record<string, unknown> | undefined;
                                    icon?: string | undefined;
                                    iconFromDefaultList?: string | null | undefined;
                                    sortOrder: number;
                                    picture?: string | undefined;
                                    readonly children: /*elided*/ any[];
                                    readonly locations: /*elided*/ any[];
                                    toJSON(): {
                                        id: string;
                                        name: string;
                                    };
                                    destroy(): void;
                                    readonly id: string;
                                }[];
                                readonly coordinates: Coordinate[];
                                readonly nodes: /*elided*/ any[];
                                readonly spaces: /*elided*/ any[];
                                toJSON(): {
                                    id: string;
                                    name: string;
                                };
                                destroy(): void;
                                readonly id: string;
                            }[];
                            readonly space: /*elided*/ any | undefined;
                            readonly floor: Floor;
                            readonly coordinate: Coordinate;
                            readonly externalId: string;
                            readonly neighbors: /*elided*/ any[];
                            readonly geoJSON: {
                                properties: null;
                                type: import("@mappedin/mvf").FeatureType;
                                geometry: import("@mappedin/mvf").Point;
                            };
                            readonly focusTarget: Coordinate;
                            readonly anchorTarget: Coordinate;
                            toJSON(): {
                                id: string;
                                floor: string;
                                coordinate: {
                                    latitude: number;
                                    longitude: number;
                                    floor: string | undefined;
                                    verticalOffset: number;
                                };
                                neighbors: string[];
                            };
                            destroy(): void;
                            readonly id: string;
                        }[];
                        readonly floors: Floor[];
                        readonly locationProfiles: /*elided*/ any[];
                        readonly focusTarget: Coordinate[];
                        toJSON(): {
                            id: string;
                            name: string;
                            type: string;
                            externalId: string;
                            coordinates: {
                                latitude: number;
                                longitude: number;
                                floor: string | undefined;
                                verticalOffset: number;
                            }[];
                            floors: string[];
                        };
                        destroy(): void;
                        "__#57@#private": any;
                        readonly externalId: string;
                        readonly name: string;
                        readonly description: string;
                        readonly images: {
                            "__#23@#private": any;
                            readonly url: string | undefined;
                            readonly name: string | undefined;
                            readonly altText: string | undefined;
                            toJSON(): {
                                id: string;
                                url: string | undefined;
                                name: string | undefined;
                            };
                            destroy(): void;
                            readonly id: string;
                        }[];
                        readonly links: {
                            "__#22@#private": any;
                            readonly url: string;
                            readonly name: string | undefined;
                            toJSON(): {
                                id: string;
                                url: string;
                                name: string | undefined;
                            };
                            destroy(): void;
                            readonly id: string;
                        }[];
                        "__#58@#private": any;
                        readonly id: string;
                        readonly geoJSONBoundingBox: {};
                        readonly geoJSON: {
                            properties: null;
                            type: string;
                            geometry: {};
                        };
                    }[];
                    readonly annotations: {
                        "__#21@#private": any;
                        readonly __type: "annotation";
                        readonly group: string;
                        readonly type: string;
                        readonly coordinate: Coordinate;
                        readonly floor: Floor;
                        readonly geoJSON: {
                            properties: null;
                            type: import("@mappedin/mvf").FeatureType;
                            geometry: import("@mappedin/mvf").Point;
                        };
                        readonly focusTarget: Coordinate;
                        readonly anchorTarget: Coordinate;
                        toJSON(): {
                            id: string;
                            group: string;
                            type: string;
                            coordinate: {
                                latitude: number;
                                longitude: number;
                                floor: string | undefined;
                                verticalOffset: number;
                            };
                        };
                        destroy(): void;
                        "__#57@#private": any;
                        readonly externalId: string;
                        readonly name: string;
                        readonly description: string;
                        readonly images: {
                            "__#23@#private": any;
                            readonly url: string | undefined;
                            readonly name: string | undefined;
                            readonly altText: string | undefined;
                            toJSON(): {
                                id: string;
                                url: string | undefined;
                                name: string | undefined;
                            };
                            destroy(): void;
                            readonly id: string;
                        }[];
                        readonly links: {
                            "__#22@#private": any;
                            readonly url: string;
                            readonly name: string | undefined;
                            toJSON(): {
                                id: string;
                                url: string;
                                name: string | undefined;
                            };
                            destroy(): void;
                            readonly id: string;
                        }[];
                        readonly locationProfiles: /*elided*/ any[];
                        "__#58@#private": any;
                        readonly id: string;
                        readonly geoJSONBoundingBox: {};
                    }[];
                    readonly categories: {
                        "__#30@#private": any;
                        readonly __type: "location-category";
                        id: import("@mappedin/mvf").CategoryId;
                        name: string;
                        icon: string;
                        readonly parent: /*elided*/ any | undefined;
                        readonly children: /*elided*/ any[];
                        readonly locationProfiles: /*elided*/ any[];
                        toJSON(): {
                            id: string;
                            name: string;
                        };
                    }[];
                    readonly mapObjects: import("@mappedin/mappedin-js/mappedin-js/src/map-data-objects/object").MapObject[];
                    readonly areas: {
                        "__#14@#private": any;
                        readonly __type: "area";
                        readonly center: Coordinate;
                        readonly floor: Floor;
                        readonly geoJSON: {
                            properties: null;
                            type: import("@mappedin/mvf").FeatureType;
                            geometry: import("@mappedin/mvf").Polygon;
                        };
                        readonly focusTarget: /*elided*/ any;
                        readonly anchorTarget: Coordinate;
                        toJSON(): {
                            id: string;
                            name: string;
                            floor: string;
                        };
                        destroy(): void;
                        "__#57@#private": any;
                        readonly externalId: string;
                        readonly name: string;
                        readonly description: string;
                        readonly images: {
                            "__#23@#private": any;
                            readonly url: string | undefined;
                            readonly name: string | undefined;
                            readonly altText: string | undefined;
                            toJSON(): {
                                id: string;
                                url: string | undefined;
                                name: string | undefined;
                            };
                            destroy(): void;
                            readonly id: string;
                        }[];
                        readonly links: {
                            "__#22@#private": any;
                            readonly url: string;
                            readonly name: string | undefined;
                            toJSON(): {
                                id: string;
                                url: string;
                                name: string | undefined;
                            };
                            destroy(): void;
                            readonly id: string;
                        }[];
                        readonly locationProfiles: /*elided*/ any[];
                        "__#58@#private": any;
                        readonly id: string;
                        readonly geoJSONBoundingBox: {};
                    }[];
                    readonly focusTarget: import("@mappedin/mappedin-js/mappedin-js/src/types").TFocusTarget[];
                    readonly openingHours: import("@mappedin/mappedin-js/mappedin-js/src/map-data-objects/opening-hours").OpeningHours;
                    readonly navigationTarget: import("@mappedin/mappedin-js/mappedin-js/src/types").TNavigationTarget[];
                    toJSON(): {
                        id: string;
                        name: string;
                    };
                }[];
                "__#58@#private": any;
                readonly id: string;
                readonly geoJSONBoundingBox: {};
            }[];
            readonly anchorTarget: Coordinate;
            "__#58@#private": any;
            readonly id: string;
            readonly geoJSONBoundingBox: {};
            readonly geoJSON: {
                properties: null;
                type: string;
                geometry: {};
            };
        } | undefined;
        toJSON(): {
            id: string;
            name: string;
            type: "Building" | "Outdoor" | undefined;
            floors: string[];
        };
        destroy(): void;
        "__#58@#private": any;
        readonly id: string;
        readonly geoJSONBoundingBox: {};
        readonly geoJSON: {
            properties: null;
            type: string;
            geometry: {};
        };
    }[];
    get goesOutside(): boolean;
    get departureFloor(): Floor | undefined;
    get destinationFloor(): Floor | undefined;
    cleanup(): void;
}
export default DirectionsController;
