import MapStore from '..';
import RootStore from '../../root-store';
declare class HoverController {
    private rootStore;
    private mapStore;
    private reactionDisposers;
    private cursorPosition;
    private pressTimeout;
    private currentPinScreenPosition;
    private containerRect;
    constructor({ rootStore, mapStore }: {
        rootStore: RootStore;
        mapStore: MapStore;
    });
    private clearPressTimeout;
    /**
     * Only handle the event if the click was on the canvas. This is to prevent the pin from being dropped
     * when clicking UI elements. This could also be implemented using the SDK's click event instead of a
     * document level event, however that makes it difficult to handle the case where the user drags the
     * pin around, as the SDK has no mouseup event.
     */
    private shouldHandleEventOnElement;
    private attachListener;
    private handleDocumentMouseMove;
    private handleDocumentTouchStart;
    private handleDocumentMouseUp;
    private clearPin;
    private dropPin;
    private dropOrRemovePin;
    get droppedPinHoverVisible(): boolean;
    cleanup(): void;
}
export default HoverController;
