import type MapStore from '..';
import type RootStore from '../../root-store';
import { Place, Label, FloorStack } from '../../../lib/sdk';
declare class LabelsController {
    private rootStore;
    private mapStore;
    private reactionDisposers;
    private state;
    private isImageLabelDark;
    private labelImagesProcessed;
    labelsInAreas: Set<Label>;
    initialized: boolean;
    syncedWithTheme: boolean;
    placeLabels: Label[];
    mapLabel: Label | null;
    floorStackLabels: Map<FloorStack, Label>;
    placeByLabelId: Record<string, Place>;
    constructor({ rootStore, mapStore }: {
        rootStore: RootStore;
        mapStore: MapStore;
    });
    private syncLabelStateWithTheme;
    private updateImageLabelDarknessForPlace;
    private updateImageLabelDarkness;
    private initialize;
    private getLabelColor;
    private getDefaultLabelRank;
    private getLabelOptionsForPlace;
    private labelPlace;
    private handleZoomChange;
    private labelMapName;
    private labelPlaces;
    private labelFloorStacks;
    private getVisibilityForPlaceLabel;
    private updateLabelsInAreas;
    private updateFloorStackLabels;
    private updateLabelsFromLabelState;
    cleanup(): void;
}
export default LabelsController;
