import type RootStore from '../../root-store';
import type MapStore from '..';
import { ReactNode } from 'react';
import { Coordinate, Place, TAddMarkerOptions } from '../../../lib/sdk';
type TMarker = {
    key: string;
    text?: string;
    elementFn: () => ReactNode | Promise<ReactNode>;
    onPointerDown?: () => void;
    onClick?: () => void;
    onWheel?: (e: WheelEvent) => void;
    coordinate: Coordinate;
    target: Place;
    options?: TAddMarkerOptions;
    animationDuration?: number;
};
declare class MarkersController {
    private rootStore;
    private mapStore;
    private reactionDisposers;
    private markersVisible;
    private sdkMarkersByKey;
    areasVisible: boolean;
    constructor({ rootStore, mapStore }: {
        rootStore: RootStore;
        mapStore: MapStore;
    });
    private get annotationMarkers();
    private get areaMarkers();
    private get youAreHereMarkers();
    private get selectionMarkers();
    private get departureMarkers();
    private get destinationMarkers();
    private get directionsConnectionMarkers();
    private get directionsOverviewMarkers();
    private get directionsMarkers();
    private getKey;
    private getMarkerColor;
    private getAnnotationRank;
    private getAreaRank;
    private forEachMarker;
    private handleZoomChange;
    private zoomOnWheel;
    private addMarker;
    private removeMarker;
    private updateMarkers;
    private updateRanks;
    get currentMarkers(): Record<string, TMarker>;
    cleanup(): void;
}
export default MarkersController;
