import type RootStore from '../root-store';
declare class MessageStore {
    private rootStore;
    private reactionDisposers;
    constructor(rootStore: RootStore);
    /**
     * Convert a string or array of strings to an array of {@link Place} objects.
     */
    private toPlaces;
    /**
     * Inform the parent window that the app state has changed.
     */
    private sendStateChangedMessage;
    /**
     * Inform the parent window that the app has loaded.
     */
    private sendAppLoadedMessage;
    /**
     * Update the app state based on a set state message from the parent window.
     */
    private handleSetStateMessage;
    /**
     * Handle a message from the parent window.
     */
    private onMessage;
    /**
     * Send a message to the parent window.
     */
    private sendMessage;
    get enabled(): boolean;
    cleanup(): void;
}
export default MessageStore;
