import { z } from 'zod';
import { E_APP_STATE } from '../../lib/types/state';
export declare const SetStateMessage: z.ZodObject<{
    type: z.ZodLiteral<"set-state">;
    payload: z.ZodObject<{
        state: z.ZodOptional<z.ZodNativeEnum<typeof E_APP_STATE>>;
        floor: z.ZodOptional<z.ZodString>;
        location: z.ZodOptional<z.ZodUnion<[z.ZodArray<z.ZodString, "many">, z.ZodString]>>;
        departure: z.ZodOptional<z.ZodUnion<[z.ZodArray<z.ZodString, "many">, z.ZodString]>>;
    }, "strip", z.ZodTypeAny, {
        location?: string | string[] | undefined;
        floor?: string | undefined;
        departure?: string | string[] | undefined;
        state?: E_APP_STATE | undefined;
    }, {
        location?: string | string[] | undefined;
        floor?: string | undefined;
        departure?: string | string[] | undefined;
        state?: E_APP_STATE | undefined;
    }>;
}, "strip", z.ZodTypeAny, {
    type: "set-state";
    payload: {
        location?: string | string[] | undefined;
        floor?: string | undefined;
        departure?: string | string[] | undefined;
        state?: E_APP_STATE | undefined;
    };
}, {
    type: "set-state";
    payload: {
        location?: string | string[] | undefined;
        floor?: string | undefined;
        departure?: string | string[] | undefined;
        state?: E_APP_STATE | undefined;
    };
}>;
export type TSetStateMessage = z.infer<typeof SetStateMessage>;
export declare const StateChangedMessage: z.ZodObject<{
    type: z.ZodLiteral<"state-changed">;
    payload: z.ZodObject<{
        state: z.ZodOptional<z.ZodNativeEnum<typeof E_APP_STATE>>;
        floor: z.ZodOptional<z.ZodString>;
        location: z.ZodOptional<z.ZodUnion<[z.ZodArray<z.ZodString, "many">, z.ZodString]>>;
        departure: z.ZodOptional<z.ZodUnion<[z.ZodArray<z.ZodString, "many">, z.ZodString]>>;
    }, "strip", z.ZodTypeAny, {
        location?: string | string[] | undefined;
        floor?: string | undefined;
        departure?: string | string[] | undefined;
        state?: E_APP_STATE | undefined;
    }, {
        location?: string | string[] | undefined;
        floor?: string | undefined;
        departure?: string | string[] | undefined;
        state?: E_APP_STATE | undefined;
    }>;
}, "strip", z.ZodTypeAny, {
    type: "state-changed";
    payload: {
        location?: string | string[] | undefined;
        floor?: string | undefined;
        departure?: string | string[] | undefined;
        state?: E_APP_STATE | undefined;
    };
}, {
    type: "state-changed";
    payload: {
        location?: string | string[] | undefined;
        floor?: string | undefined;
        departure?: string | string[] | undefined;
        state?: E_APP_STATE | undefined;
    };
}>;
export type TStateChangedMessage = z.infer<typeof StateChangedMessage>;
export declare const AppLoadedMessage: z.ZodObject<{
    type: z.ZodLiteral<"app-loaded">;
}, "strip", z.ZodTypeAny, {
    type: "app-loaded";
}, {
    type: "app-loaded";
}>;
export type TAppLoadedMessage = z.infer<typeof AppLoadedMessage>;
