import { History } from 'history';
export declare const ARRAY_JOIN_CHAR = "+";
type TRouterGoOptions = {
    clearExistingParams?: boolean;
    replace?: boolean;
};
type TParams = Record<string, string | string[] | undefined>;
type TRouterStoreOptions = {
    /**
     * The history object to use for navigation.
     */
    history: History;
    /**
     * The base path for the router. The router will ensure this path is present in the state at all times.
     */
    base?: string;
    /**
     * An array of allowed paths in the state (not including the base path). If specified, the router will filter
     * out any paths that are not in this list.
     */
    allowedPaths?: string[];
};
declare class RouterStore {
    private base;
    private allowedPaths;
    private _path;
    private _params;
    private history;
    private disposer;
    constructor({ history, base, allowedPaths }: TRouterStoreOptions);
    private createAllowedPaths;
    private encodeParam;
    private decodeParam;
    private encodeParams;
    private parseSearch;
    private update;
    private getPath;
    get path(): string;
    get params(): TParams;
    get isAppEmbedded(): boolean;
    go(state: string, newParams: Record<string, string | string[] | undefined>, options?: TRouterGoOptions): void;
    back(): void;
    toString(overrides?: Partial<{
        path: string;
        params: TParams;
    }>): string;
    cleanup(): void;
}
export default RouterStore;
