import type RootStore from '../root-store';
import { TSearchResult } from '../../lib/types/search';
export declare const SEARCH_DEBOUNCE_MS = 150;
declare class SearchStore {
    private rootStore;
    private reactionDisposers;
    private index?;
    private internalResults;
    private queryString;
    initialized: boolean;
    loading: boolean;
    constructor({ rootStore }: {
        rootStore: RootStore;
    });
    private initialize;
    private extractField;
    private fallbackSearch;
    private search;
    private updateResultsDebounced;
    /**
     * Generate a unique ID based on name and matches. This determines which results are
     * collapsed together in the final results. If both the name and match criteria of a
     * set of results are the same, clicking on that result should select all of them.
     */
    private getResultId;
    private getSearchResult;
    get results(): TSearchResult[];
    /**
     * Disable minisearch and use fallback search instead.
     */
    enableFallbackSearch(): void;
    setQuery(query: string): void;
    cleanup(): void;
}
export default SearchStore;
