import type RootStore from '../root-store';
import UIStore from '.';
declare class LocationCardStore {
    private rootStore;
    private uiStore;
    private reactionDisposers;
    constructor({ rootStore, uiStore }: {
        rootStore: RootStore;
        uiStore: UIStore;
    });
    private get place();
    /**
     * The SDK has some issues handling connection metadata, so if a connection is selected, we must process its metadata
     * directly from the MVF.
     */
    private get overrideDetails();
    private get name();
    private get description();
    private get heroImages();
    private get logoImage();
    private get categories();
    private get links();
    private get socialUrls();
    private get phoneNumber();
    private get hours();
    private get website();
    private get directionsButtonDisabled();
    private handleCategoryClick;
    private handleClose;
    private handleDirectionsClick;
    private handleFullScreenGalleryOpen;
    private handleLinkClick;
    private handleCopyLocationLink;
    private handleSocialClick;
    private handleWebsiteClick;
    private handlePhoneNumberClick;
    get visible(): boolean;
    get props(): import("../../components/metadata-card/utils").TMetadataCardProps | undefined;
    cleanup(): void;
}
export default LocationCardStore;
