import { type MapView } from '../lib/sdk';
import * as SDK from '../lib/sdk';
import { CameraTransform } from '../lib/sdk/types';
type TPublishFn = <E extends keyof SDK.TEvents>(event: E, payload?: SDK.TEventPayload<E>) => void;
export type TMapViewWithTestUtilities = MapView & {
    __test: {
        subscribers: Record<string, ((...args: any[]) => void)[]>;
        labels: SDK.Label[];
        markers: SDK.Marker[];
        nextCameraState: CameraTransform;
        setNextCameraState: (state: Partial<CameraTransform>) => void;
    };
    publish: TPublishFn;
};
export {};
