import RootStore from '../stores/root-store';
import RouterStore from '../stores/router-store';
import { ParsedMVF } from '@mappedin/mvf';
import { MapData } from '../lib/sdk';
import { TStartViewerOptions, TStartViewerWithLocalDataOptions } from '../lib/types/options';
import { TMapViewWithTestUtilities } from './test-mocks';
export declare const loadTestVenueData: (venueFileName?: string) => Promise<ParsedMVF>;
export type TTestWithMapOptions = {
    startupOptions?: TStartViewerOptions | TStartViewerWithLocalDataOptions;
    initialState?: string | ((data: MapData, mvf: ParsedMVF) => string);
    isMobile?: boolean;
    isMini?: boolean;
};
type TTestWithMapResult<MV = TMapViewWithTestUtilities> = {
    rootStore: RootStore;
    history: RouterStore['history'];
    mapView: MV;
    mapViewTestUtilities: MV extends TMapViewWithTestUtilities ? MV['__test'] : undefined;
    mapEl: HTMLDivElement;
    data: MapData;
    mvf: ParsedMVF;
    waitForSearchResults: () => Promise<void>;
    waitForSearchIndexing: () => Promise<void>;
    waitForMapInitialized: () => Promise<void>;
    waitForCameraSettled: () => Promise<void>;
    waitForLabelsInitialized: () => Promise<void>;
    setNextCameraState: TMapViewWithTestUtilities['__test']['setNextCameraState'];
    waitForPinDrop: () => Promise<void>;
};
export declare const testWithMap: <MV = TMapViewWithTestUtilities>(venueFileName?: string, options?: TTestWithMapOptions) => Promise<TTestWithMapResult<MV>>;
export {};
