import { expect } from '@playwright/test';
import { testDefaultAndEmbedded } from './test-utils';

testDefaultAndEmbedded(
	'DIRECTIONS state',
	async ({ page }) => {
		await expect(page).toHaveScreenshot();
	},
	{
		params: {
			location: 's_89fd600b7990d544',
		},
		state: '/directions',
	},
);

testDefaultAndEmbedded(
	'DIRECTIONS state: level selector open',
	async ({ page }) => {
		await page.locator('#level-selector').first().click();
		await expect(page).toHaveScreenshot();
	},
	{
		params: {
			location: 's_89fd600b7990d544',
		},
		state: '/directions',
	},
);

testDefaultAndEmbedded(
	'DIRECTIONS state: from selection',
	async ({ page }) => {
		await page.waitForTimeout(500);
		await expect(page).toHaveScreenshot();
	},
	{
		params: {
			location: 's_89fd600b7990d544',
			departure: 's_353c086e223c6984',
		},
		state: '/directions',
	},
);

testDefaultAndEmbedded(
	'DIRECTIONS state: from dropped pin',
	async ({ page }) => {
		await page.waitForTimeout(500);
		await expect(page).toHaveScreenshot();
	},
	{
		params: {
			location: 's_89fd600b7990d544',
			departure: '-29.22599807556308,-51.35458385297357,m_8d8b9669cc38f561',
		},
		state: '/directions',
	},
);

testDefaultAndEmbedded(
	'DIRECTIONS state: from nearest entrance',
	async ({ page }) => {
		await page.waitForTimeout(500);
		await expect(page).toHaveScreenshot();
	},
	{
		params: {
			location: 's_89fd600b7990d544',
			departure: 'e_1dcf257acc86da27+e_563524d9b2a2e04f+e_a9ce9893f5fbe9c6',
		},
		state: '/directions',
	},
);
