import { expect } from '@playwright/test';
import { testDefaultAndEmbedded } from './test-utils';

testDefaultAndEmbedded('START state', async ({ page }) => {
	await expect(page).toHaveScreenshot();
});

testDefaultAndEmbedded(
	'START state: location selected',
	async ({ page }) => {
		await expect(page).toHaveScreenshot();
	},
	{
		params: { location: 's_89fd600b7990d544' },
	},
);

testDefaultAndEmbedded(
	'START state: location image fullscreen',
	async ({ page }) => {
		await page.locator('#image-carousel').getByRole('option').click();
		await expect(page).toHaveScreenshot();
	},
	{
		params: { location: 's_89fd600b7990d544' },
	},
);

testDefaultAndEmbedded('START state: search bar focused', async ({ page }) => {
	await page.locator('input[type="search"]').click();
	await expect(page).toHaveScreenshot();
});

testDefaultAndEmbedded('START state: search query typed', async ({ page }) => {
	await page.locator('input[type="search"]').fill('bedroom');
	await expect(page).toHaveScreenshot();
});

testDefaultAndEmbedded('START state: level selector open', async ({ page }) => {
	await page.locator('#level-selector').first().click();
	await expect(page).toHaveScreenshot();
});
